Disclaimer and Legal Information

This Intel® Platform Administrator User Guide as well as the software described in it is furnished under license and may only be used or copied in accordance with the terms of the license. The information in this manual is furnished for informational use only, is subject to change without notice, and should not be construed as a commitment by Intel Corporation. Intel Corporation assumes no responsibility or liability for any errors or inaccuracies that may appear in this document or any software that may be provided in association with this document.

Except as permitted by such license, no part of this document may be reproduced, stored in a retrieval system, or transmitted in any form or by any means without the express written consent of Intel Corporation.

Intel, Intel Inside, Pentium, Xeon and Celeron are trademarks or registered trademarks of Intel Corporation or its subsidiaries in the United States and other countries. Other names and brands may be claimed as the property of owners.

* Third-party brands and names that are the property of their respective owners


Whoshouldreadthisuserguide

Preface

Who should read this user guide?

The target audience for this Intel® Platform Administrator User Guide are system administrators of Intel® Platform Administration Technology.

This guide provides administrators product knowledge on installation, usage, and maintenance of the Intel® Platform Administration technology.


How is this user guide organized?

Intel® Platform Administrator User Guide is composed by 4 units:

Unit 1. Overview

Unit 1 provides an overview of Intel® Platform Administrator architecture and system requirements. This chapter gives you a basic understanding of the product.

Chapter 1.

Overview

Unit 2. Basic- Step by Step Installation

Unit 2 describes the Intel® Platform Administrator installation procedures. It guides you through the environment setup and the basic configuration.

Chapter 2.

Step by Step Installation

Unit 3. Advanced- Configuration and Management

Unit 3 describes the advanced management and configuration of Intel® Platform Administrator Server client and agent, including tips and notes. These chapters enable you to master the usage of the server, client and agent.

Chapter 3. | How To Use the Server Console
Chapter 4. | How To Use the Utility Tool
Chapter 5. | How To Use the Agent Update Tool
Chapter 6. | How To Use the Client Hard Disk Protection
Chapter 7. | How To Use the Agent
Chapter 8. | How To Install, Uninstall And Upgrade

Unit 4. Case Study

Unit 4 provides some case studies and a list of FAQs on using Intel® Platform Administrator.

Chapter 9. | Typical Scenarios
Chapter 10. | FAQs


Special Features

CAUTION. | Text describing critical steps or details that must be adhered to in order for the task to be completed successfully.
WARNING. | Text describing tasks that may cause non-reversible damage if the instructions are not followed carefully.
TIP. | Tips for effective usage.
NOTE. | Used for concepts and terms that are unique to Intel® Platform Administrator technology or that might be unfamiliar to the average user.


Chapter1.Overview

Unit 1. Overview

Chapter1.Overview

Chapter 1. Overview


1.1Intel&regPlatformAdministrationTechnology

1.1 Intel® Platform Administration Technology

Intel® Platform Administration Technology is a computing platform that simplifies the management and administration of computers and software applications in small and medium-sized computer networks. Featuring new Intel® Platform Administration Technology and Intel® Platform Administrator software for simplified manageability, the platform makes it easier for cost-sensitive organizations such as small businesses, Internet cafés and schools to maintain stable, more secure computing environments and to minimize computer downtime without investing significant resources in computer management.

Intel® Platform Administration Technology delivers added value to help users in administrating computing platforms and applications in a networked environment. It includes:

§ Motherboard technology components

§ Firmware components (based on the Intel® Innovation Framework for EFI)

§ Software components for both clients and servers

§ Application Programming Interfaces (API's) for enabling further development of applications on Intel® Platform Administration Technology

Intel® Platform Administration Technology can assist in:

§ Out-of-box PC set up by automating and simplifying OS and software installations for multiple PCs.

§ Daily maintenance and operational PC management with platform asset monitoring and administration capabilities.

§ Software upgrades by provisioning new software packages to multiple PCs in a networked environment.

§ System recovery and hard-disk protection capabilities.

Intel® Platform Administration Technology provides the following features:

§ Multicast (1-to-many) deployment OS images up to 1GB in size to hundreds of clients within a few minutes in a 100Mb Ethernet environment.

§ Block-level incremental disk image creation and deployment for faster application software deployment and upgrades.

§ Low performance-penalty hard-disk protection of your system from viruses and malicious operations.

§ Network recovery to restore crashed PCs.

§ Hardware and software asset inventory reports.

§ OS-independent remote control: Power on, power off, reset and real-time query of client status.


1.2Intel&regPlatformAdministrator

1.2 Intel® Platform Administrator

Intel® Platform Administrator is an Intel software solution built on top of Intel® Platform Administration Technology to deliver client and server functionalities. The package includes the following:

§ Intel® Platform Administrator Server (i-Cafe Professional Edition 1.1)

§ Intel® Platform Administrator Client (Professional Edition 1.1)

§ Intel® Platform Administrator Agent (Professional Edition 1.1)

Intel® Platform Administrator Server provides remote computer management of client computers in a network. The administrator conducts all of the remote operations through Intel® Platform Administrator Server.

When the client is in BIOS lifecycle, Intel® Platform Administrator Server interacts with Intel® Platform Administrator Agent and provides functionalities, including image creation, image deployment, network recovery, and remote control.

When the client is in OS lifecycle, Intel® Platform Administrator Server interacts with Intel® Platform Administrator Client to provide functionalities, including remote configuration and remote control.

Intel® Platform Administrator Client is an application that runs on the client, It provides hard disk protection and background monitoring.

Intel® Platform Administrator Agent is an application that runs on the BIOS, which provides key features like network management and image and package deployment through communication with the server.


1.3 Typical Scenario

The following picture shows the most common usage scenario for Intel® Platform Administrator. The administrator needs to do the following:

§ Enable Intel® Platform Administrator Agent on the client computers (how is this done?)

§ install Intel® Platform Administrator Client on the client computers.

§ Install the Intel® Platform Administrator Server on the management server.

After these three operations are completed, the administrator can remotely manage all the clients from the server.


1.4 Product Basis


1.4.1 Glossary

Golden Machine | The sample computer of the network. The original disk image (the base image) that will be deployed to the clients is created from the golden machine. The hardware configurations of other computers must be the same as that of the Golden Machine.
Disk Image | Disk images are created from the golden machine and deployed to the other clients, simplifying the deployment of the operating system and other software.
Incremental Package | Incremental Packages can help to update the client systems with minimum effort. The administrator? can install, delete or upgrade an application on the golden machine and then create an incremental package. This package records the changes from the most recent saved status of the golden machine, and can be deployed to other clients as a quick and convenient update.
Deployment | The process of provisioning the disk image from the golden machine to client PCs.
Network Recovery | When a client crashes, the network recovery function can re-deploy all disk images and incremental packages that were previously deployed to the client in order to recover the client to its last stable running status.
Hard Disk Protection | Real-time protection of the hard disk during OS operation. With Hard Disk Protection enabled, the client computer can save a copy of the current OS image for recovery purpose. This copy enables recovering a crashed client to a previously saved state.
Checkpoint | A Checkpoint is a saved status of the client hard disk. When the Intel® Platform Administrator Client is enabled, the user can create a checkpoint to save the current status for future recovery.
Local Recovery | A Local Recovery occurs when the Intel® Platform Administrator Client is enabled and you select a checkpoint on the individual client to recover the hard disk to.
Save Data | Save Data saves the current client hard disk status permanently. After Save Data is completed, all previous checkpoints are deleted and a new checkpoint is created based on the saved hard disk status.
Asset Monitoring | Asset Monitoring enables you to monitor asset information, including software inventory, hardware inventory, alert information, client name changes, and power on/power off/reboot client remotely from the server console.


1.4.2 CD Contents

The CD contents include:

Root directory of CD:

-        Auto Run Program (autorun.exe, AUTORUN.INF, IPATlog.ico)

-        Readme file (English: Readme.txt, Chinese: Readme_CN.txt)

-        Release Notes (English: ReleaseNotes.htm, Chinese: ReleaseNotes_CN.htm)

3rdPartyTools Directory:

-        SQL Server 2000 Desktop Engine* (MSDE 2000) (MSDE directory)

-        Microsoft .NET* Framework 1.1.4322 Installation file（dotnet directory）

Chinese Directory:

Installation files and documents for Intel® Platform Administrator, Chinese language version.

Setup Directory:

-        Intel® Platform Administrator Client (Professional Edition 1.1) installation files (IntelPATClientSetup.exe)

-        Intel® Platform Administrator Server (i-cafe Professional Edition 1.1) installation files (IntelPATServerSetup.exe)

-        Intel® Platform Administrator Agent (Professional Edition 1.1) (IntelPATAgent.exe)

Document directory:

-        Intel® Platform Administrator User manual, Chinese Language version (IntelPlatformAdministratorUserManual_CN.chm）

-        Intel® Platform Administrator White Paper, Chinese Language version (IntelPlatformAdministratorWhitePaper_CN.pdf）

Training directory:

-        Intel® Platform Administrator Tutorial, Chinese Language version (Professional Edition 1.1)

English Directory:

Installation files and documents for Intel® Platform Administrator, English language version.

Setup Directory:

-        Intel® Platform Administrator Client (Professional Edition 1.1) installation files (IntelPATClientSetup.exe)

-        Intel® Platform Administrator Server (i-cafe Professional Edition 1.1) installation files (IntelPATServerSetup.exe)

-        Intel® Platform Administrator Agent (Professional Edition 1.1) (IntelPATAgent.exe)

Document directory:

-        Intel® Platform Administrator User manual, English Language version (IntelPlatformAdministratorUserManual_EN.chm）

-        Intel® Platform Administrator White Paper, Chinese Language version (IntelPlatformAdministratorWhitePaper_EN.pdf）

Training directory:

-        Intel® Platform Administrator Tutorial, English Language version (Professional Edition 1.1)


1.5 System Requirements


1.5.1 Hardware Requirements

Hardware | Recommended Server Specifications | Minimum Server Specifications | Recommended Client Specifications
CPU | Intel® Pentium® 4 Processor, 2.8GHz | Intel® Pentium® 4 Processor, 2.4GHz | Intel® Celeron® D Processor,2.4GHz | Intel® Pentium® 4 Processor, 2.8GHz
Memory | 1GB | 512MB | 512MB
Hard Disk | 160GB IDE | 120GB IDE | 80GB IDE
CD-ROM | CD-ROM 16x | CD-ROM 16x |
NIC | 1000Mbps | 100Mbps | Built-in 100Mbps Network Interface Card
Mother Board | Any Intel certified server motherboard | Any Intel certified server motherboard | Intel® Desktop Board D865PCK | Intel® Desktop Board D915PDT


1.5.2 Software Requirements

The following are the software requirements for the servers and clients of the Intel® Platform Administrator.


1.5.2.1 Server Requirements

Supported Operating System

- Windows 2000 Server* (SP4)

- Windows 2000 Advanced Server* (SP4)

- Windows Server 2003 Standard Edition *

- Windows Server 2003 Enterprise Edition*

- Windows XP Professional* (SP2)

Windows Components and Services

-         Simple Network Management Protocol (SNMP) component

-         Internet Information Services component (IIS), Version 5.0 or above

-         Dynamic Host Configuration Protocol (DHCP) component（Optional）

- Windows Management Instrumentation

TIP.

If these components are not installed on the server, please go to [Start] à [Control Panel] à [Add or Remove Programs] à [Add/Remove Windows Components] to install these components.

3rd-Party Software Requirements

The following software tools are required for the operation of the server.

- Microsoft SQL Server 2000 Desktop Engine* (MSDE 2000) SP3 or Microsoft SQL Server 2000*

- Internet Explorer 6.0* (or above)

- Windows ASP. NET*

- Microsoft .NET Framework 1.1.4322* (default installed in Windows Server 2003*，need to install manually in Windows 2000 Advanced Server*)

TIP.

See Pre-requisites of Intel® Platform Administrator Installation CD for required software setup.

CAUTION.

Ensure that the latest Service Pack is installed.


1.5.2.2 Client Requirements

Supported Operating System

These are the supported operating systems:

- Windows 2000 Professional Edition* (SP4)

- Windows XP Professional Edition* (SP1/2)

CAUTION.

Ensure that the latest Service Pack is installed.

Windows Component and Services

- DHCP Client（Optional）

- Network Connection

- Windows Management Instrumentation


Chapter2.StepbyStepInstallation

Unit 2. Basic- Step by Step Installation

Chapter 2. Step by Step Installation

There are 10 total steps required to install Intel® Platform Administrator.

 | Step | Key Points | Execution
Step 1. | Network construction |  |
Step 2. | Pre-installation | * Install server OS * Install 3rd-party software * Install windows components - SNMP - IIS - DHCP (Optional) * Allow ASP and ASP.net * Configure Internet Explorer | Server
Step 3. | Install Intel® Platform Administrator server |  | Server
Step 4. | Configure server management console | * Set MTFTP directory * Auto deployment | Server
Step 5. | Enable and update client Firmware | * Enable agent * View Firmware version info * Update agent/ BIOS | Client （All）
Step 6. | Configure client agent | * Enter Location Info * Configure IP address | Client （All）
Step 7. | Install selected golden machine | * Install OS and basic applications * Install Intel® Platform Administrator Client | Client (Golden Machine）
Step 8. | Manage registered clients | * Accept * Local boot * Set golden machine | Server
Step 9. | Create image |  | Server
Step 10. | Deploy image |  | Server
Complete |  |  |


Step 1. Network Construction

When choosing the switch that connects directly to the server, please note the switch must support features below:

1. 1000Mbps switching capability

2. Wire speed switching capability

3. IGMP Snooping

Make sure all the PCs are connected to the switch/router through the UTP-5 cable. The figure below is for reference, and may be adjusted to meet specific user requirements.

CAUTION.

1. Please make sure the IGMP Snooping function is enabled on the main switch.

2. Please use UTP-5 cable.

3. Please upgrade the server NIC driver to latest version.


Step 2. Before Installation

Before Intel® Platform Administrator installation, user needs to:

§ Install server operating System

§ Install 3rd-party software

§ Install windows components

- SNMP

- IIS

- DHCP (Optional)

§ Allow ASP and ASP.net Service

§ Configure Internet Explorer


Install Server Operating System

Please install the server operating system before starting. For a list of operating systems that support Intel® Platform Administrator Server, see section 1.5.2.1.


Install 3rd-Party Software

Please make sure that the required 3rd-party software has been installed on the server. See section 1.5.2.1.


Install Windows Components

The required windows components for the server are:

-        Simple Network Management Protocol (SNMP)

-        Internet Information Services (IIS)

-        Dynamic Host Configuration Protocol (DHCP) (Optional)

Skip to the next section (Allow Asp and ASP.NET Services) if the required windows components have already been installed.

If the components have not been installed, Click [Start] à [Control Panel] à [Add/Remove Programs] à [Add/Remove Windows Components], see figure below:


SNMP

In the Windows Components Wizard, click [Management and Monitoring Tools] à [Simple Network Management Protocol], and put a √ in the option box. See figure below:


IIS

In Windows Component Wizard, click [Internet Information Services [IIS] ], and put a √ in the option box. See figure below:


DHCP (Optional)

This component is optional. However if the user wishes to automatically assign IP addresses to clients, DHCP must be installed.

In the Windows Components Wizard, click [Networking Services] à [DHCP], and put a √ in the option box. See figure below:


Allow ASP and ASP.NET Services

If the server OS is Windows 2000, the user can skip to the next step.

If the server OS is Windows 2003, click [Start]à [Administrative Tools]à [Internet Information Services (IIS) Manager] à [Web Service Extensions], allow Active Server Pages and ASP.NET v1.1.4322. See figure below:


Configure Internet Explorer

The alert function of Intel® Platform Administrator requires the server to support Animation Playing. User is required to enable this function in Internet Explorer.

Click [Internet Explorer]à [Tools] à [Internet Options] à [Advanced] à [Multimedia], set “Play Animations in Web Pages”. See figure below:


Step3.InstallIntel(R)PlatformAdministratorServer

Step 3. Install Intel® Platform Administrator Server

Intel® Platform Administrator Server provides a web console that allows the administrator to manage all client PCs in a LAN. Before installing Intel® Platform Administrator Server, please make sure that all required software listed in section 1.5.2.1 has been correctly installed.

1）Choose language

On the server, insert the “Intel® Platform Administrator Installation CD”. The program will run automatically. Choose your language.

If the system fails to run the autorun.exe automatically, click the AutoRun.exe file under the root path of “Intel® Platform Administrator Installation CD”.

2）Check Pre-requisites

After selecting the language, the user will see the screen below:

Click “Pre-requisites” to see whether all pre-requisites are ready.

3）Select “Install Intel® Platform Administrator Server (i-Café Professional Edition 1.1)

After confirming that all pre-requisites are ready, click “back” and select “Install Intel® Platform Administrator Server (i-Café Professional Edition 1.1)”. Start installation.

Click “Next” to continue.

4）Read “License Agreement”

Read “Intel Software License Agreement”. Select “Agree” and click “Next” to continue.

5）Readme

Please review the ReadMe and make sure that all pre-required software has been correctly installed. Then click “Next” to continue.

6）Enter your name and organization, and click “Next” to continue.

7）Select the installation directory

Select a directory to install Intel® Platform Administrator Server in, click “Next” to continue.

8）Confirm installation

9）System will display the installation progress.

10) Browse for MTFTP folder.

A “Browse for MTFTP folder” window will pop up to allow the user to choose the MTFTP directory. The MTFTP directory will be used to save images and incremental packages that are created by the user. It is recommended that the user set up a new directory for Intel® Platform Administrator data save, e.g. [c:\IPAT Server\MTFTP\ ]. After selecting the MTFTP directory, click “OK” to continue.

11）System will pop up the Database Server configuration window.

-        If the user logged in to the server with an Administrator account, then select “Log in with Windows integrated authentication”. Then click “OK”. If this option is selected, then as long as a user logs in to Windows successfully, the user will be able to access the Intel® Platform Administrator server console.

-        If the user did not log on to the server with an Administrator account, then select “Login with user account and password”. Enter the appropriate account information of the database. Then click “OK”. If this option is selected then the user will need to supply the user name and password after logging in to Windows in order to access the Intel® Platform Administrator server console.

Click “OK”. The system will indicate that database installation is in progress.

12）Once installation is complete, click “Close” to exit.

13）Reboot system

After installation is complete, select “Yes” to reboot the system to allow the changes to take effect.

Intel® Platform Administrator server installation is complete.

14）Start server management console

After system reboot, click [Start] à [Programs] à [Intel® Platform Administrator Server] à [Server for i-Café V1.1] à [Server Management] to start the server management web console.

Intel® Platform Administrator Server is the management console from which you manage the clients.

After starting the management console, the user will enter the default page [Managed Clients]:


Step 4. Configure Server Management Console

Clicking “Server Configuration” will open the following screen.

All server configurations can be set in the “Server Configuration” page.

For the initial setup, the following steps are recommended:


File Server Root Path

Intel® Platform Administrator Sever transmits image files through the file server. The file server root path determines the location of the server writes and stores the images

The root path that contains the file server entered during installation can be modified by going to the “Server Configuration page” and changing the MTFTP root path.

Set File Server Root (Path)

Enter the file server root path in the “File Server Root (Path\)” textbox, for example, “C:\IPAT Server\MTFTP\ “. The file server will read and write files from this directory. After completing the above settings, please restart “Intel® Platform Administrator Server – MTFTP Service”.

TIP.

1. MTFTP directory is used to store images and packages. The user is advised to establish a folder, e.g. [C:\IPAT Server\MTFTP\] for this specific management purpose.

2. If the user wants to change the file server root path during the daily use, the image files under the old path must be copied to the new path. Otherwise the deployment of old images will fail.

WARNING.

1. Any change in the “File Server Root (Path\)” settings will not take effect until “Intel® Platform Administrator Server – MTFTP Service” has been restarted

2. Make sure that the partition in which the file server root resides is NTFS format. Because the largest size of a file in partitions of FAT or FAT32 format is 4GB, attempts to create images larger than 4GB on FAT or FAT32 partitions will fail.

3. Make sure there is sufficient free space in the file server root path. If the space is full, attempts to create images will fail.

How to restart MTFTP Service

In Windows, Click [Start] à [Control Panel] à [Administrative Tools] à [Services] to open Services(Local) window.

2）Select “Intel (R) Platform Administrator Server – MTFTP Service”, right click with the mouse, and choose “Restart” in the pop-up menu.

3）The system will restart MTFTP service. The new MTFTP directory will take effect after the MTFTP service has been restarted..


Step 5. Enable and Update Client Firmware

Before installing Intel® Platform Administrator Client, the user must know the version of the Firmware.

If the client Firmware version is 1.1, the user only needs to enable the agent and go on to the next step.

If the client Firmware version is 1.0, the user must update the client Firmware to version 1.1 before executing the next steps.

The user needs to enable the agent to determine the Firmware version.


Enable Agent

Intel® Platform Administrator Agent is disabled in BIOS by default.

Start the client, and press F2 to enter BIOS. The first column is “Manageability”. In the “Manageability” page, set “Agent” to “Enable”, as shown below:

Press ENTER to confirm the selection, and press F10 to save and Exit.

The client agent is enabled.

TIP.

The BIOS UI of version 1.0 and version 1.1 may be slightly different.


View Firmware Version Info

After the client agent has been enabled, the user will see the agent version information when client reboots.

The user can confirm the firmware version from the first two digits..

e.g. If it shows Professional Edition 1.1.0.100 the screen, it means that the agent version is 1.1. If it shows Professional Edition 1.0.0.57 on screen, it means that the agent version is 1.0.

If the client Firmware version is 1.1, the user can skip to the next step.

If the client Firmware version is 1.0, the user must update the firmware to higher version before executing the next steps.


Update Firmware

PXE download requires DHCP server support. Please make sure that the DHCP server is correctly configured before updating the firmware from V1.0 to V1.1.

For DHCP server configuration instruction, see Step 6 “Obtain an IP Address Automatically”.

On the server, copy the firmware update file IntelPATagent.efi to the specified MTFTP directory. The user can find this update file from the directory \\English\Setup\Agent on the CD.

On each client, press F2 to enter BIOS. Follow these steps:

1) Under “Manageability”, Set “Agent” to “Disable”.

2) Press F10 to save and exit, the client will automatically reboot.

3) After the client rebooted, press F2 to enter BIOS again.

4) Under “Boot”, set “Boot to EFI PXE” to “Enable”.

5) Press F10 to save and exit.

6) Client will automatically boot to EFI PXE and download the firmware update file from server then burn into Flash ROM.

7) The client firmware has been updated from V1.0 to V1.1 successfully.

Note: If the Intel® Platform Administrator Agent is enabled in the BIOS, the boot order will not be manually adjustable. Once disabled, please save and exit before boot order can be manually changed.


Enable Alert Function

If BIOS version of client PC is 1.0, user needs to enable Alert Function manually in BIOS.

If BIOS version of client PC is 1.1, this function is enabled by default.

To enable this function, follow the steps:

1) Press F2 to enter BIOS.

2) Under Power page, set “Power on” for “Wake on LAN from S5”.

3) Under Power page, set “S3 State” for “ACPI Suspend State”.

4）Press F10 to save and exit.


Step 6. Configure Client Agent

Client agent configuration includes:

-        Enter the location info

-        Configure the IP address

Intel® Platform Administrator Agent works with Intel® Platform Administrator Client to execute all operations on the client.


Enter Location Info

The “Location Info” column under “Manageability” in BIOS is used to input client location information. The saved location information will be displayed on the server management console, including “Unmanaged Clients”, “Managed Clients”, “Image Management”, “Package Management”, and “Abnormal Alert” pages. This information can help users to find out the client location quickly.

Press F2 to enter BIOS, select “Location Info” under “Manageability”, and press Enter. Enter the client location information in the pop-up window, and press Enter again. The location information will appear.

TIP.

1. The length for location information is 1-15 Characters.

2. Only letters, numbers and a few other characters are allowed, including “A~Z, a~z, 0-9, - _ .”.

3. At least one character from alphabet must be contained. Note that space and other characters are not allowed.

4. Only single line input is supported.


Configure IP Address

User needs to configure the IP Address for each client in BIOS. Clients can obtain IP address automatically or manually.


Obtain an IP automatically

The default setting in BIOS is to obtain an IP automatically.

If the user needs to automatically assign an IP address to each client, the user needs to set up a DHCP domain after DHCP component installation. This can be completed through the following steps:

Configure DHCP Server

1) Click [Control Panel] -> [Administrative Tools] -> [DHCP]:

2) Enter the DHCP configuration window.

3）Choose [Operations] -> [Add New Server], then enter the IP Address or computer name of the current server and press “OK”.

4）After the server has been added, right-click the server name, and select “New Scope”.

5）Enter the Name and Description for the new scope, and then click the “OK” button to continue. Next, define the range of the IP address scope.

6）Click “Next”, and define the “Exclusion Range”.

7）Click “Next”, and set the lease duration.

8）Click “Next”, and configure the DHCP settings.

9）Click “Next” to enter the IP address for the Gateway. Enter the IP address of the gateway and click the “Add” button to add the gateway to the list.

10）Click “Next” to add the DNS Server and WINS Server.

11）Click “Next” to activate the new scope.

12）Click “Next” to finish the configuration of DHCP.

After you have finished configuring the DHCP Server, you will find that it is listed as the figure below:

Configure Server Options

User also need to configure Server Options for updating firmware through Boot from PXE.

1）Double click Server Options, check the “Boot Server Host Name” option, enter the MTFTP server IP address.

2）Check the “Bootfile Name” option, enter the firmware update file name, e.g. IntelPATagent.efi.

Click OK to confirm.


Assign an IP Manually

In order to assign clients static IP address, the user needs to enter the IP Address, Subnet Mask, and Default gateway for clients in BIOS:

1）Set “Obtain an IP automatically” to “No”.

2）Enter the IP address for the client.

3）Configure Subnet Mask

After setting the option “Obtain an IP automatically” to“”No”, the default subnet mask 255.255.255.0 will be displayed in this column.

The user can select “Subnet mask” to change the default to another value, e.g. 255.255.0.0.

4) Configure Default Gateway

Enter the IP address of the gateway.

5）Press F10 to save the setting and exit.

The user can repeat the above steps to enable agent, enter location info and configure the IP address settings for each client.


Step 7. Install Selected Golden Machine

Select a client on which to install the OS, basic applications and Intel® Platform Administrator Client. This client machine will be used as the “Golden Machine“.

What is a Golden Machine?

The golden machine can be view as a sample machine in a network environment. The other machines are the copies of the golden machine. The other machines should have the same hardware configurations as the golden machine(s).

To set up an environment consisting of a large numbers of machines, the traditional method is to install software and set up the machines one by one, including the operating system, software and other necessary configurations. This method requires a great deal of time.

Intel® Platform Administrator provides another method. If all machines have the same hardware configurations, the administrator can select one of these machines, install OS and software into it, then assign it as “golden machine”. This “golden machine” image is cloned and then be deployed to the rest of the clients.

The typical usage scenario of Intel® Platform Administrator is described as follows:

1. When Intel® Platform Administrator Agent is enabled on and an IP address is assigned to a client, the client will register to the server and become a managed client.

2. Provided that a group of machines have the same hardware configuration, one of these machine can be selected to be installed with OS and software.

3. Install the operating system and software。

4. Designate this client as the golden machine.

5. Install Intel® Platform Administrator Client software

6. Create the golden machine disk image and then deploy the image to other clients


Install the Operating System and Applications

If the golden machine agent is enabled, upon the system boots up, it will look for the Intel® Platform Technology Server automatically before booting into the OS.

If the selected golden machine does not have operating system installed, the user can wait for the golden machine to boot from other media, or disable the agent and set the client machine to boot from CD-ROM. Install operating systems to the golden machine. The operating systems supported by client are Windows 2000 and Windows XP. See section 1.5.2.2 for more details.

After the OS installation, proceed on to install other necessary applications to the golden machine (Internet Explorer, Games, Messenger). Later, in step 9, we will create an image for the installed OS, applications and Intel® Platform Administrator Client.

CAUTION

After completing the installation of the OS and other applications, the user must re-enable the agent for the selected golden machine. Otherwise the Intel® Platform Administrator Client cannot be installed.


InstallIntel&regPlatformAdministratorClient

Install Intel® Platform Administrator Client

Intel® Platform Administrator Client includes client service and Disk Protection. The client service is responsible for the interaction between the server and the client. Disk Protection provides disk protection and disk recovery functions.

Pre-requisites of Disk Protection installation:

- At least one FAT32 partition is required to be protected;

- It is recommended to run chkdsk.exe before installing of Disk Protection;

- It is recommended that the paging file of virtual memory be stored on a non-protected partition in order to enhance performance;

- It is recommended that the disk be defragged before installing Disk Protection;

- There must be enough free space in the protected FAT32 partitions. The minimum size of the reserved free space is as follows:

Minimum size of reserved free space

Size of Protected Partitions | Size of Free Space on Protected FAT32 Partitions (5% * Partition Size) | Size of Continuous Free Disk Space on Protected Partitions (3% * Partition Size)
10G | 1G | 300M
20G | 2G | 600M

WARNING.

Please make sure that Intel® Platform Administrator Agent is enabled as described in Step 5 before installing Intel® Platform Administrator Client. Otherwise, it will not be able to install Intel® Platform Administrator Client.

1）Choose language

On the client PC, insert the “Intel® Platform Administrator Installation CD”. It will run automatically. Choose your language.

If the system fails to run the autorun.exe automatically, click the AutoRun.exe located under the root path of “Intel® Platform Administrator Installation CD”.

2) Check the requirements

After selecting the language, the user will see screen below. Click “Pre-requisites”.

Confirm whether all pre-requisites are ready. Click “Back” to continue.

3）Select “Install Intel® Platform Administrator Client (Professional Edition 1.1)

After confirming that all pre-requisites are ready, click “back” and select “Install Intel® Platform Administrator Client (Professional Edition 1.1).

The system will begin the installation process. Click “Next” to continue.

4）Read the “License Agreement”

Read the “Intel Software License Agreement”, select “Agree”, and click “Next” to continue.

5）Readme

Please review the ReadMe making sure all required software has been installed correctly. Then click “Next” to continue.

6） Enter your name and organization. Click “Next” to continue.

7）Select the install directory

First, select a directory to which to install Intel® Platform Administrator Client, click “Next” to continue.

8）Confirm installation

9）System will show the installation progress.

The system will start to install and recommend that the user check and defrag the partitions to be protected and to move the paging file of virtual memory to a partition that will not be protected before continuing the setup.

Click “Yes” to continue.

10）The system will pop up an Hard Disk Protection password setting window

Choose the volume that needs to be protected, and make sure at least one partition is FAT32. Enter the administrator password and confirm.

11) Complete.

Click “Close”. The client will automatically reboot, and the installation on the client is complete.

Click “Close”. The system will pop up a restart confirmation window.

Click “Yes”. The client will restart immediately.

Intel® Platform Administrator Client installation is completed.


Step 8. Manage Registered Clients

3 steps to manage registered clients:

1. In “Unmanaged Clients” page, assign new registered client an IP address, then click “Accept”.

2. In the pop-up window, select whether or not to accept the individual client as a golden machine.

3. In “Managed Clients”, execute the “Local Boot” command to get the client ready.


Accept

When Intel® Platform Administrator Agent is enabled and an IP address is assigned to a client, the client will send a registration request to the server automatically upon being connected to the same network as the server. The user will see the information below on the client:

The user will see a “New Client” alarm on the lower left corner of the management console. The “New Client” alarm is an Other Alarm in terms of the 3 alarm categories.

# | Alert Info | Alert Cause / Pre-requisites / Alert Sound | Client powered on | Sound | Max Delay (Second)
1 | New client Registering | § Cause: There is new client registering to server in the LAN. § Sound: Client agent must be enabled. | Yes | No | 3

The user is also able to see how many clients are waiting for acceptance.

Click the button “Unmanaged Clients” to display the details for all unmanaged clients.

Select the clients that the user wants to accept, and click the “Accept” button.

The system will pop up a window for confirmation. Click “Yes” to continue.

The selected clients will be transferred to the “Managed Clients” page.

After being accepted by the server, the clients will automatically reboot and stay in BIOS status. The user needs to execute a “Local Boot” in order to change the clients status to “OS Status”.


Local Boot

Select the client that the user wants to set as the golden machine. Click the “Local Boot” button on the top.


Set Golden Machine

When the user selects a golden machine and clicks the “Local Boot” button, the system will prompt for confirmation. Click “OK “to continue.

The system will prompt if the user wants this client PC to become golden machine.

Selecting “OK” will set the client as a golden machine.

The client will automatically reboot from “New Client” to “Ready Client”, and its status will change from “BIOS Status” to “OS Status”.

TIP.

1. Selecting “Cancel” will set the client as a normal client.

2. The above window will pop up only when the user selects one client and clicks “Local Boot”. When multiple clients are selected, the window will not appear.


Step 9. Create Image

Select the golden machine from server console, then create image.

First, enter the “Image Management” page, and click the “Create Image” button on the top.

Step 1: Select a golden machine

Select a golden machine from which to create an image, and click “Select”. The IP address of the selected golden machine will appear at the bottom of the page. Click “Next” to continue.

Step 2: Choose a disk partition

Choose an IDE device of the golden machine from to create an image, and click “Next” to continue. The new image will contain all the partitions of that golden machine IDE device.

TIP.

If the golden machine has hard-disk protection installed, select all protected partitions. Otherwise, there may be an error when deploying the image to other clients.

Step 3: Fill in the image information

Enter the image name in the “Alias” field. It is recommended to use meaningful names to differentiate images, such as the client name + “_” + date (for example, IPAT-000-010_20050801). An alias is required for each image.

Enter notes in “Comment” field. This field is optional.

The default disk image is a precise copy of the disk. The image is the same size as the selected partitions.

If user select “Create smaller disk image file based on file system”, the image will be created based on the amount of disk space used in the disk. Therefore, the image file will have a smaller size if the used space on disk is small.

Selecting “Reboot client to execute operations immediately” will cause the client to restart immediately in order to execute the task. Otherwise, the task will be executed on the next reboot.

TIP.

1. For NTFS partitions, Intel® Platform Administrator can only create images that are precise copies of the partition. The “Create smaller disk image file based on file system” option will not take effect on NTFS partitions.

2. If “Create smaller disk image file based on file system” is selected, the image deployment will require more time than deployment of a normal image. Therefore, if server disc space is not an issue, we suggest using the precise copy method to create images when the used space is greater than 50 percent of the client disc space. This will reduce the amount of time needed for deployment.

Step 4: Generate the disk image

Check that the displayed disk image information is correct, and click “Generate” to create the image. Otherwise, click “Back” to re-enter the required information.

After clicking “Generate”, the selected golden machine will reboot immediately and start to create the image. The process may take several minutes. The duration is determined by the client PC performance and the size of the image.

The image creation progress will be displayed on the client (golden machine) as follows:

The client will upload the image file to the root path of the file serve. Please see Step 4 for the file server root path settings.

WARNING.

1. Please make sure that the partition in which the file server root resides is NTFS format. Because the largest possible operating system file size for FAT or FAT32 formats is 4GB, attempts to create images larger than 4GB on a FAT or FAT32 partition will fail.

2. Also make sure there is enough disk space in file server root before creating an image


Step 10. Deploy image

First, power on all the clients that need to receive the image, making sure all the clients agents are enabled, and all the clients are correctly connected to the LAN.

Click the “Managed Clients” button on the left frame, all managed clients’ information will be displayed as in the right frame. Select a client by clicking the checkbox in front of the client Alert Info. Then the corresponding row will be highlighted in pink color. Multiple clients can be selected at the same time.

TIP.

How to select multiple clients: Select a client, press SHIFT to select other client under the selected client, all the clients between the two will be selected.

To select all the ready clients, user can choose “Select all ready clients” from the drop-down list of Filter.

Click “Deploy Image” button on top of the “Client Management” page.

System will prompt whether to confirm image deployment, click “OK” to continue.

There are 2 Steps to deploy image:

Step 1. Select an image

All the created image will be listed, select an image, click “Next” to continue.

TIP.

Only one image can be selected for one deployment.

Step 2. Deploy Image

Check the disk image information, if correct, click “Next” to continue, otherwise click “Back” to re-select the image.

Click “Deploy” to deploy the selected image.

The deployment progress can be monitored on the server by clicking “Management Task” button in the left frame.

When the clients reboot to BIOS life cycle, the image deployment will be executed. The progress will be displayed on client as follows:

When clients enter the operating system the first time after deployment, there will be computer name confliction on the network because these clients have the same configuration (name, DNS, gateway, etc.) as the golden machine. The system will prompt “Network ID Confliction” after initial deployment.

Intel® Platform Administrator Server will then do post-configuration for each client automatically. Clients will restart automatically. After clients enter the operating system, the deployment task is finished and there will be no computer name conflicts on the network.

TIP.

The hard disk size of the deployed clients should be the same as the golden machine. Note: If the hard disks are of different types, the actual size might be different even the volume of both is marked as 80G. In this situation, if the hard disk of the golden machine is a little larger, then the image will not be able to be deployed to other clients.

WARNING

Do not deploy images to the golden machine. This may cause an IP confliction.


Complete

After the deployment task is completed, clients will be restarted with modified machine names and other configurations.

The default name prefix for client machines is IPAT.

If the user did not enter Location Info into the BIOS, the system will add the last 2 bytes of the IP address with prefix (e.g. IPAT) to create the machine name following the format IPAT-XXX-YYY. If length of IP byte string less than 3, left zero will be filled as prefix. For example, each client machine will get a name like IPAT-000-010、IPAT-000-011、 IPAT-000-012…

If user entered Location Info in BIOS, system will take the first 15 characters of Location info to make it as the machine name. For example, if the client Location Info is “Area_A.Row_01.Seat_01”, the client will get a name as “Area_A.Row_01.S”

TIP.

Only the clients with deployed images will follow the naming rule. The golden machine will keep its original name.

To customize client info (including machine rename) see section 3.2.3.2.

After the network setup is completed, the user can start the server management console to remotely manage the clients.


Chapter3.HowtoUsetheServerConsole

Unit 3. Advanced- Configuration and Management

Chapter 3. How to Use the Server Console

After Intel® Platform Administrator has been installed, the user needs to start Intel® Platform Administrator Server in the management console.

Option 1:

Click [Start] à [All Programs] à [Intel® Platform Administrator Server] à (Server for i-cafe V1.1)” à “Server Management”.

Option 2：

On the desktop, double click the shortcut “Server Management” to start Intel® Platform Administrator Server.

Option 3:

To access the server management console locally, input the address below in the Internet Explorer address column:

http://localhost/IPAT/

The server management console can also be accessed remotely by using the formula below to create an address, and entering it in the Internet Explorer address column:

http:// +“Server Name or Server IP Address”+ “/IPAT/”

For example,:

If the server name is IPATServer, IP address is 192.168.0.1, the address is:

http://IPATServer/ IPAT/ or http://192.168.0.1/IPAT/

After inputting the address, a Network Password dialogue will pop up. Enter the user name and password of the server machine to access the server management console remotely.

After starting the server management console, on the left side of the frame there will be 4 categories of functions to choose from. The categories and their contents are located below:

Unmanaged Clients, Managed Clients, Ongoing Tasks

Image Management, Package Management

Alerts, Asset Change, Task Log

Server Configuration, Help, Contact Us


3.1 Server Setting

First, the user must check the sever configuration before executing other operations.

All server configurations can be set in the “Server Configuration” page.

After clicking the “Server Configuration” button at the left side of the page, the following

page will be displayed:

Click the “Advanced” button to display more options:

Sever setting options include:

-        Set file server path

-        Enable abnormal alert and remote control

-        Automatically accept new clients

-        Use multicast if two or more clients are involved

-        Clear event or tasks log

-        Detect client OS liveness

-        Set deploy image interval


3.1.1 Set File Server Path

See Step 4 of Chapter 2.


3.1.2 Enable Abnormal Alert and Remote Control

Server can also enable abnormal alerts and remote control function for clients. Select “Enable Alert” in the “Server Configuration” page. See section 3.5.

Intel® Platform Administrator supports 5 abnormal alerts:

1. Connection Lost Alert

2. OS Hung Alert

3. USB Device is Unplugged

4. Processor Error Alert

5. Chassis Intrusion Alert

When the option “Enable abnormal alert and remote control” is selected, alert functions 3-5 (Processor Error Alert and Chassis Intrusion Alert) are enabled by default. But for alert functions 1-2 (Connection Lost, OS Hung Alert, and USB Device is Unplugged), the user must to enable each option individually.

For example, if the user wants to enable alert function 1 in addition to the default alert functions 3, 4 and 5, the user needs to make sure the option “Enable abnormal alert and remote control” is selected, and then also select the “Enable connection lost alert” function, as shown below:


3.1.3 Automatically Accept New Clients

When a new client joins the Intel® Platform Administrator LAN, this new client will automatically search for the Intel® Platform Administrator sever in the network and try to register. The administrator can manually accept or reject this client’s registration request, or can enable “Automatically Accept New Clients” to automate the acceptance of new client registration requests.

To enable “Automatically Accept New Clients”, select the “Automatically Accept New Clients” checkbox:

If “Automatically Accept New Clients” has been enabled, the system will automatically accept all new client registration requests. The client’s information will appear in the “Managed Clients” page.

To disable the “Automatically Accept New Clients” setting, deselect the “Automatically Accept New Clients” checkbox.


3.1.4 Automatic Multicast

The Multicast function can reduce transmission times greatly when one file is transmitted to multiple clients. Multicast can be set up to be used automatically in the “Server Configuration” page. To enable Automatic Multicast, select the “Use MULTICAST if two or more clients are involved” checkbox. After this setting has been enabled, whenever the server detects that the same file is being transmitted to multiple clients, the multicast function will be used.

Click “Advanced” button under “Server Setting”. The advanced server options will appear:

Select “Use MULTICAST when two or more clients are involved”.

After enabling Multicast, system will use Multicast technology to deploy images whenever two or more clients are to receive the same image.

WARNING.

Multicast function must be supported by the switch. If the switch does not support IGMP, or if IGMP is not configured correctly, multicast packets will be sent to each port of the switch, which may overload the whole network and affect other network applications. So please be careful when using multicast. It is suggested that machines that are in use not be connected to a network where multicast image or package deployment is occurring.


3.1.5 Clear Log

With the server running, large amounts of log information will be saved in the database, such as alert event logs, task logs, etc. These logs can be deleted when they are out of date, which will save disk space. Use “Server Configuration” to automatically clear logs after a pre-defined period:

Select the “Clear Event Log” checkbox and enter the interval (in days) in the textbox. Then click the corresponding “GO” button. “Clear Task Log” can be set in the same way. After enabling these settings, the logs will be deleted automatically at the set intervals.


3.1.6 Detect Client Status

When the server is running, it can automatically send a ping command to each client at a regular interval to detect whether or not the client is working normally. The administrator can enable this feature in “Server Configuration” and set the detection interval.

Select the “Detect Client OS Liveness” checkbox and enter the time interval (in seconds) in the textbox. Then click the corresponding “GO” button:

TIP.

Detecting client status automatically allows the administrator to know the current status of all clients. For example, when a user powers off a client, the administrator will be able to see the client’s status change in the server management console.


3.1.7 Set Image Deploy Interval

Select “Deploy Image Interval” in the “Server Configuration” page, and enter the interval value in the box, click “Apply” to activate the setting.

Set first image deployment delay

When the server is deploying an image, the administrator can set the image deployment interval, after which the clients will be synchronized for simultaneous update. During deployment to multiple clients, the response times of different clients may not be the same due to different machine performance and network configurations. This means that the tasks will not be synchronized.

After selecting this option, clients will receive images in accordance with the timer appear on the server, and it will be more convenient for the administrator to manage and monitor the clients. This function will also optimize network performance.

The administrator can enable this feature in “Server Settings” and set the deployment interval. Select the “Set first image deployment delay” checkbox and enter the time interval (in seconds) in the textbox. Then click the corresponding “Go” button.

Set first remain image deployment delay

After selecting this option, the first client that has finished deployment for the first partition will pause for a certain period. The interval counts from the finishing time of the client deployment (the fastest client which has finished deployment for the first partition).

e.g. If there are 3 client machines ABC are deploying images in the same network, and user has set the remain image deploy delay as 60 seconds. If client A is the fastest machine that has finished image deployment for the first partition, client A will wait for 60 seconds in order to synchronize with client B and client C, the second partition deployment will start after 60 seconds.

The administrator can enable this feature in “Server Settings” and set the deployment interval. Select the “Set remain image deployment delay” checkbox and enter the time interval (in seconds) in the textbox. Then click the corresponding “Go” button.


3.1.8 Default DNS

The user can configure DNS in the server management console.

If the user needs to change the DNS setting, enter the new value and then click “GO”.

The IP Address, Subnet Mask, and Default Gateway of the client must be configured in the client BIOS.


3.1.9 Server Service Information

The user can check the status of services running on the Intel® Platform Administrator server in the Server Setting page. These services include:

- ASF Proxy Service

- Boot Management Service

- MTFTP Service

- OS Management Service


3.1.10 Automatically deploy image

If the user has selected the “automatically deploy images to new clients” checkbox, the user can now select the image from the “OUT-OF-BOX” column and click “select”.

After selecting the above settings, when the administrator accepts a new client, the default image will be deployed to the new client automatically.

TIP.

Default Image: After the user has created images in the system, all images will be automatically listed in this column. The user needs to “Select” an image for it to be automatically deployed.


3.2 Client Registration and Management

After the server configuration has been completed, the server is ready to accept new clients. Whenever a new client is accepted by the server, it becomes a managed client and can be managed by the server.

TIP.

The registration function is integrated in the Intel® Platform Administrator Agent. No other software is needed for clients to register.


3.2.1 Unmanaged Clients

The “Client Management” page shows information about clients that are waiting for registration. They can be dealt with using the using the buttons below:

Accept | Accept the registration of new clients, and move the clients to managed clients page.
Reject | Reject client registration and change status to Reject, the clients will not be managed.
Remove | Remove clients from unmanaged clients page.


3.2.1.1 Accept

“Accept” is used to accept new clients to be managed by the server. The user must first assign each client an IP address before they can be accepted.

After clicking “Accept”, the selected clients will move from the “Unmanaged Clients” page to the “Managed Clients” page.

See Step 8 of Chapter 2.


3.2.1.2 Reject

“Reject” is used to reject new clients. The client status will change from “New Client” to “Rejected Client”, and the client will remain in the “Unmanaged Clients” page.


3.2.1.3 Remove

“Remove” is used to delete clients. The client will be deleted and removed from the “Unmanaged Clients” page.


3.2.2 Managed Clients

The accepted clients will appear in “Managed Clients” page:

Power on | Remotely power on selected clients.
Power off | Remotely power off selected clients.
Reboot | Remotely reboot selected clients.
Local Boot | Boot from the local hard disk. New clients will enter OS and their status will change to “ready”.
Deploy Image | Deploy image to clients. Used to complete initial client setup remotely.
Deploy Package | Deploy package to clients. Used to update client system and software remotely.
Network Recovery | Network recovery. Client will reboot immediately and recover to its most recent normal state.
Update Agent | Remotely update client Agent.
Remove | Remotely power on selected clients.

Remote control function enables administrator to manage clients remotely, including power on, power off, reboot, local boot, update agent, deploy image and deploy package.


3.2.2.1 Power On

Select the client to be powered on, choose the “Power On” command from command list, and the click the “Go” button to immediately execture the “Power On” command. This command will not take effect if the client is already in the OS life cycle.


3.2.2.2 Power Off

Select the client to be powered off, choose the “Power Off” command from command list, and then click the “Go” button to immediately execute the “Power Off” command. This command will not take effect on clients in BIOS.

If the client is in OS operation status, “Power Off” command will result in a soft power-off (windows shut down). For any other status, it will result in a direct power-off. If a client fails to shut down Windows, then the client will be powered-off automatically.


3.2.2.3 Reboot

Select the client to be rebooted, choose the “Reset” command from the command list, and click the “Go” button to immediately execute the “Reset” command. This command will not take effect on clients in BIOS.

If the client is in OS operation status, the “Reset” command will result in a soft reset (windows reboot). For other statuses, it will result in a direct restart. If a client fails to perform a windows reboot, then this client will be restarted automatically.


3.2.2.4 Local Boot

The “Local Boot” command allows remote clients to perform local boots from the hard disk.

The “Managed Client” page includes a “Ready Clients” list and a “New Clients” list.

The “New Client” lists all the clients that have registered but have not finished the local boot operation. For “New Client”, the user needs to execute a “Local Boot” command to get the client ready.

The “Ready Clients” lists all the clients that have finished registration and also finished local boot operation. “Ready Clients” can be managed using the buttons at the top of the page.


3.2.2.5 Network Recovery

Client will reboot immediately and recover to the most recent normal status.

The server will record each deployment task for each client. When a client is crashed, the network recovery function can deploy all disk images and incremental packages that have ever been deployed to the client. In this way, the client can be recovered easily if it becomes infected by a virus or becomes unstable while running. This increases the amount of time that the is available for use and reduces the daily maintenance load.

By clicking the “Managed Clients” button at the left of the page, the user will see information for all registered clients:

Select a client and click the “Network Recovery” button. The system will ask the user to confirm.

Click “OK” to confirm, and the client will reboot immediately.

The deployment progress will be displayed on the screen after the client reboots.

After all deployment tasks have been completed, the client will reboot to the operating system. At this time, there will be a “computer name conflict” in the network because the configuration of the client will be the same as that of the golden machine. Intel® Platform Administrator Server will automatically solve this issue by doing post configurations for the client.

The client will automatically reboot after the post configuration. Once it boots to the operating system, the network recovery is complete.


3.2.2.6 Update Firmware

Before updating the firmware, please note:

1. The user needs to import the firmware update file using the Utility Tool. See section 4.4.

2. The user must select the correct update file. The firmware update file is different for different motherboards, and the user must check the motherboard type in order to select the correct firmware update file.

Intel® Platform Administrator firmware update file names are created using the following formula: “[IntelPATAgent] + [motherboard series model]”. So “IntelPATAgent865.exe” is used to update firmware of 865 series motherboards, and “IntelPATAgent915.exe” is used to update firmware 915 series motherboards.

How to determine the motherboard type

There are two methods that can be used to determine the motherboard type:

Option 1

From the server, on the “Managed Clients” page in the server management console, motherboard information can be found in the “Board Type” column, as seen below:

The user can determine the motherboard type from the first 5 digits of the information shown in the Board Type column.

For example, if the Board Type column shows CK86510J. 1171, then the first 5 digits are CK865, which that means the motherboard is from the 865 series. If the Board Type column shows DT91510J. 0222, the first 5 digits are DT915, which that means the motherboard is from the 915 series.

Option 2

On the client, press F2 to enter BIOS and under the “Main” tab, the user will find the BIOS Version information.

The user can determine the motherboard type by referring to the first 5 digits of the information shown in BIOS Version column.

For example, if the BIOS Version column shows CK86510J.86A.1171.2005.0601.1027, then the first 5 digits are CK865, which means the motherboard is from the 865 series. If the BIOS Version column shows DT91510J.86A.0222.2005.0714.1604, then the first 5 digits are DT915, which means that the motherboard is from the 915 series.

Update Firmware

After importing the agent/BIOS update file, select the clients that need to be updated and click the “Update agent/BIOS” button. The “Update Agent” window will pop up.

Step 1. Select a file

After clicking the “Update Agent” button, all imported agent (firmware) update files will be listed. Click the “Select” button next to the appropriate update file, and the selected file will appear at the bottom of the page.

Step 2. Update Agent/BIOS to clients

Check the agent file information. If correct, click “Generate”. The selected client will then reboot immediately and start updating the agent.

After the client reboot, the user will see the agent update progress as shown below. The client will automatically reboot and enter the OS when the update is complete.


3.2.2.7 Deploy Image

Select the client that requires image deployment. Click the “Deploy Image” button. The “Deploy Image” window will pop up.

See Step 10 of Chapter 2.


3.2.2.8 Deploy Package

Select the client that requires package deployment. Click the “Deploy Package” button. The “Deploy Package” window will pop up.

See section 3.4.3.


3.2.2.9 Remove

In the “Managed Clients” page, select the clients that need to be removed. Click the “Remove” button.

System will display the below prompt. Click the “OK’ button to confirm and continue.

The client will be moved to the “Unmanaged Clients” page, and its status will be changed to “Reject”.

The server will automatically reject registration requests from rejected clients. This means that the clients will not be managed by the server and that the administrator will not see any future registration requests.

If a client is accidentally deleted from the “Managed Clients” page, the user can re-accept the client by clicking the “Accept” button in the “Unmanaged Clients” page. The client will be listed in the “Managed Clients” page again, but its status will be “New Client”. The user will need to execute a “Local Boot” to get the client ready.

If the client is deleted from the “Unmanaged Clients” page, the client will search for a server during the next reboot, and the administrator will see its registration request.


3.2.3 Client Setting Customization

In the “Managed Clients” page, click “Config” to enter the client configuration page.


3.2.3.1 Golden Machine

A golden machine is a sample machine used to create disc images for mass-deployment to client machines. Images and incremental packages can only be created and deployed from a golden machine. Additionally, the golden machine can be used as a client for normal use.

TIP.

1. When a client is first set as a golden machine, all local checkpoints will be removed and it will recover to its initial status just after deployment.

2. It is recommended that only one golden machine exist in a network. Otherwise there will be a “machine name conflict” alert. When a golden machine is not needed for creating disk images or incremental packages, it can be set and used as a common machine and then be reset as a golden machine when needed.


3.2.3.2 Computer Name

Clients will get a default name from the server after having a new image deployed to them (e.g. IPAT-000-011). The administrator can change these names by entering a new computer name for each client and clicking the “Go” button. If the “Reboot client immediately to make new name effective” option is selected, the client will reboot immediately to execute this task. Otherwise this task will be executed during the next boot.

To rename a client, the user must go to the “Managed Clients” page and click on the “Config” button:

In the “Name” column, enter the new name for the selected client, select “Reboot client immediately to make new name effective” checkbox, and click “Go”. The client will reboot with its new name.

TIP.

1. This command will create a new checkpoint in the client, which will then be replaced after any subsequent incremental package deployment. The client will continue to use the new computer name after all subsequent package deployments.

2. If the related information (Location Info or IP Address in BIOS) is changed, the name will be re-assigned following the client naming policy.

3. For client naming policy, see Complete section of Chapter 2.


3.2.3.3 Abnormal Alert

The Abnormal Alert function provides notification of abnormal system health, status, and connectivity. The user can choose to enable or disable this function. This function can be enabled/disabled in the Server Setting page of the server management console.

The user also can configure the function for individual clients by clicking “Config” for each client in the in the Managed Clients page.

If the client has more than one network card installed, the user must select the appropriate network card from the drop-down list and then select the “Reboot client immediately to take effect” option box and click “GO”. The new setting will take effect after reboot.


3.2.4 Client Information

Click the “Managed Clients” button, and you will see information for all managed clients.

The “Managed Clients” page lists the information for all the registered clients that have completed a local boot. The information includes Alert info, Location info, IP address, status, configuration, and current task.

The status column shows the current status of the client. There are total 4 client status: “OS Life Cycle”, “BIOS Life Cycle”, “After Life” and “Out of control”.

OS Lifecycle | The client is in the operating system.
BIOS Lifecycle | The client is in BIOS.
After Life | The client is powered off.
Out of Control | The client is functioning abnormally. (This status might appear shortly for newly-registered clients. But if the client continues to be “Out of Control” after entering the operating system, it must be reset manually).

Clicking “Location” will display the System Information of the client, the hardware information and the Hard Disk Management information:

TIP.

Click the [image] button to show/hide the information.


3.2.4.1 General System Information

The “System Information” shows Computer name, location, IP address, MAC address, Operating system info.

Clicking “Show Software” will show all applications currently installed on the client:

Clicking “Task History” will show the Agent Management Task history and the OS Control Task history:

NOTE.

1. Agent Management Tasks are the tasks that the server assigns to Intel® Platform Administrator Agents, such as creating an image, deploying an image, etc.

2. OS Control Tasks are the tasks that the server assigns to Intel® Platform Administrator Clients, such as setting the computer name, modifying the network configuration, etc.


3.2.4.2 Hardware Information

“Hardware Information” includes the CPU type, CPU amount, memory size, and hard disk partitions of the machine.

Click “Show Hardware” to get more detailed hardware information:

Click “Show History” to see the hardware modification history:

The user can determine what hardware has been changed by performing a hardware comparison between two occurrences in the hardware modification history. Hardware comparisons can be performed by doing the following steps:

Steps to compare:

1. Select 2 history info;

2. Select “Compare” in the drop-down box at the bottom right-hand corner;

3. Click “Go”.

Change Status:

The system will indicate the comparison results for each component. The results will be reported according to three possible statuses:

Unchanged: | The hardware is exactly the same
Added: | The hardware is not present in the first occurrence, but is present in the second occurrence
Deleted: | The hardware is present in the second occurrence, but not the first occurrence

For example, from the comparison below we can see that the hard disk was present on August 2nd , 2005, but was removed on August 3rd , 2005.

Click “Details” to get detailed hardware modification information for each entry in the hardware history.


3.2.4.3 Hard Disk Information

“Hard Disk Management” displays the client disk information, partition list, deployed image, and deployed packages.


3.3 Disk Image Creation, Management and Deployment

Intel® Platform Administrator provides multiple disk image functions. The administrator can create an image from the golden machine and upload it to the server. Then the image can be deployed to other clients who have the same hardware configuration as the golden machine. This process greatly reduces the administrator’s workload. The disk image can also be used for system recovery. If a client crashes, the administrator only needs to re-deploy the image to the crashed client and the client will be able to function normally again. These disk image functions play a vital role in the maintenance of the clients.


3.3.1 Disk Image Creation

See Step 9 of Chapter 2.


3.3.2 Disk Image Management

Click the “Image Management” button on the left side of the frame, and you will see information for all existing disk images on the server:

Number | The number assigned by the server to each image, normally in the sequence of 1,2,3,4, ...
Alias | The name given by the administrator when creating the image
Comment | The comments entered when creating the image
Created Time | The time and date that the image was created.（Based on the server’s clock）
Status | Displays the current status of the image, which is “ready” for images that have been created and “To build” for images being created
Source | The information of the golden machine from which the image was created

The user also can click the “Remove” button to delete the image from the list and delete the corresponding image file from the file system on the server.

CAUTION.

Images cannot be recovered after being deleted.


3.3.3 Disk Image Deployment

After creating an image from a golden machine, the image can be deployed to other clients that have the same hardware configurations as the golden machine.


3.3.3.1 Manually Deploy Disk Image

Manually Deploy Image

See step 10 of Chapter 2.

Set Deploy Image Interval

If the administrator has selected the option “ Set Deploy Image Interval” in [Server Configuration] .

When deploying image following the steps above, the system will pop up a Timer window:

All the selected clients will reboot and stay in BIOS lifecycle status. When time is over, all the clients will start deploy image simultaneously. This options enables administrator to manage and filter client easily.

TIP.

The system default value is 300 seconds, we recommend the minimum value is 180 seconds. If the interval is too short, some clients can’t reboot to BIOS lifecycle status in stipulated time due to machine performance and network configurations. In such case, the image deployment task will be invalid to these clients, they will stay in the previous status. If Clients are not at BIOS lifecycle, please reboot the clients manually.


3.3.3.2 Automatically Deploy Disk Image

Automatically deploy image

When a new client connects to a network built on Intel® Platform Administrator, the server can deploy images to the client automatically after the client registers to the server. To enable the automatic deployment function, in “Server Setting” page, choose “Automatically deploy images to new clients” under “OUT-OF-BOX” option.

If images have been created, then the user will see a list of all created images. The user can select one image as the default.

If a default image is selected, whenever new clients are registered to the Intel® Platform Administrator Server, the default image will be automatically deployed to the new clients.

TIP.

The automatic deployment function will take effect only on new clients that have Intel® Platform Administrator Agent enabled.

After selecting the above settings, when the administrator accepts a new client, the default image will be deployed to the new client automatically. This will greatly reduce the workload involved in the new clients’ setup.

The client screen will show the image deployment progress as follows:

Use Multicast if two or more clients are involved

If “Use Multicast in automatic deployment” is selected in “Server Setting” page, multicast will be adopted in automatic deployment, which will reduce deployment time greatly.

Set default deployment

The administrator can select the default image from the image list. Click the “Select” button in the “OUT-OF-BOX” option, and the corresponding image will be used as the default image.

After selecting the above settings, when the administrator accepts a new client, the default image will be deployed to the new client automatically. This will greatly reduce the workload involved in the new clients’ setup.


3.4 Package Creation, Management, and Deployment

For daily maintenance, one of the most common tasks is the installation and un-installation of software on the clients. Intel® Platform Administrator helps to facilitate these tasks with the incremental package deployment function. The administrator can install new software or uninstall old software on the golden machine, then create an incremental package and upload it to the server. This incremental package can then be deployed to other clients that have the same hardware configuration as the golden machine. After deployment, these clients will have installed or uninstalled the same software as the golden machine. This process reduces the workload involved in daily maintenance considerably.


3.4.1CreatePackage

3.4.1 Package Creation

First, install new software or uninstall undesired software on the golden machine. Then, without resetting the golden machine, click the “Create Package” button in “Package Management” page, as seen below:

Click the “Create Incremental Package” button on the top of the page to create the package.

There are 4 steps needed to create a package:

Step 1: Select a golden machine

After clicking the “Create Package” button, all golden machines will be listed. Select the golden machine that the package should be created from. The IP address of the golden machine will be displayed at the bottom of the page:

Click “Next” to continue.

Step 2. Choose an IDE device

After selecting the golden machine, all drives on the golden machine will be listed. Click the drop-down list to select the drive that had software installed/uninstalled. If the golden machine only has one hard disk, then that is the only one that can be selected.

Click “Next” to continue.

Step 3. Fill the package information

Enter the package name in the “Alias” field. It is suggested that meaningful names be given to the packages, such as “the software name” + “_” + “the date of creation” (for example, CSPatch03_20050801). An alias is required for each package.

If “Reboot client to execute operations immediately” has been selected, the client will restart immediately to execute the task. Otherwise the task will be executed upon the next reboot.

Step 4. Generate the incremental Package

Check the package creation information. If correct, click “Generate” to create the package. Otherwise click “Back” to re-create the package.

The selected client will create the package on the next reboot, and will upload the package file to the root path of the file server.

For how to set the MTFTP root path, please see Section 3.1.

When creating a package, the progress will be displayed on client screen as follows:


3.4.2 Package Management

Package management is similar to image management. Click the “Package Management” button in the left frame, and you will see information on all existing packages on the server:

In the “Package Management” page, the following information will be provided for all packages:

Number | The number assigned by the server to each package, normally in the sequence of 1,2,3,4, etc.
Alias | The name given by the administrator when creating the package.
Deployed Client | Displays the number of clients that have been deployed the package.
Created Time | Displays when the package was created (based on the server clock).
Status | Displays the current status of the package: - “Ready” for packages that have been created. - “To build” for packages currently being created.
Source | The location information of the golden machine from which the package was created.

The user also can click Remove button to delete the packages from the list and delete the corresponding package file from the file system on the server.

WARNING.

Packages cannot be recovered after being deleted.


3.4.3 Package Deployment

After creating a package from a golden machine, the package can be deployed to other clients whose disc image was deployed from that golden machine.

Click the “Managed Clients” button in the left frame. All managed clients’ information will be displayed in the right frame. Select a client by clicking its checkbox. Then the corresponding row will be highlighted in pink. Multiple clients can be selected at the same time.

To select all ready clients, the user can choose “Select all ready clients” from the “Select a filter” drop-down list.

Click the “Deploy Package” button on top of the “Client Management” page. The system will prompt for confirmation:

Click “OK” to continue.

There are 2 Steps needed to deploy packages:

Step 1. Select incremental package

All the created package will be listed, choose a package that user want to deploy to the selected clients.

When user select a package, the system will automatically check whether the previous packages have been deployed to the selected clients, if not, system will automatically select this package together with previous un-deployed packages.

Click “Next” to continue.

Step 2. Deploy the package to clients

Check the package information. If correct, click “Deploy” to deploy the package. Otherwise, click “Back” to re-select the package. The deployment progress can be monitored on the server by clicking the “Management Task” button in the left frame.

When the clients reboot to the BIOS lifecycle, the image deployment will be executed. The progress will be displayed on the clients as follows:

When the deployment is finished, clients will reboot automatically, and enter the operating system to do post configuration.

TIP.

The clients to which the incremental package will be deployed must have the disk image of golden machine from which the package was created. Otherwise, the incremental package will not be deployed successfully.


3.5 Task/Event Management

Intel® Platform Administration Technology includes asset monitoring capabilities for both software and hardware. Abnormal client computer behavior will be reported to the server console under certain conditions. Certain monitoring features may remain active regardless of the client computer’s power state.

The client computer will trigger alerts to the server console under the following conditions:

- Chassis intrusion. This feature is enabled by pre-installed sensors in the chassis (only in selected chassis).

- USB device removal (only available on Intel® Desktop Board D915PDT. Only support USB devices that strictly comply with USB 2.0 standard.)

- Client computer LAN connection and power lost.

- Hardware component removal such as hard drive, RAM and graphics adapter.

- Abnormal conditions on client operating system or computer processor operation.

- Intel® Platform Administrator Client or Intel® Platform Administrator Server version conflict.

Note:

- Alert notification times may vary under different conditions.

- Specific alerts can be enabled or disabled at the discretion of the administrator.

- Removal of certain hardware components will trigger an alert only after the client computer is rebooted.


3.5.1 Abnormal Alert

There are 3 categories of alert:

§ Abnormal Alert:

§ Asset Alert: See section 3.5.2.

§ Other Alert: See step 8 of Chapter 2.

We will explain the Abnormal Alert in this section.

The user can enable Abnormal Alerts in the “Server Settings’ page as below:

When an abnormal status occurs, the client will automatically send an alert to the server. Then the server will the display the alert animation with the alert sound.

Currently Intel® Platform Administrator supports 5 abnormal alerts:

# | Alert Info | Alert Cause / Alert Sound / Note | Client powered on | Sound | Max Delay (Second)
1 | Client Connection Lost | Cause: No connection between server and client. Possible causes could be network cable being loose or unplugged, or the switch having been powered off. Sound: “Client Connection Lost” | No | Yes | 60
2 | OS Hung | Cause: OS hang Sound: “System Health Alert” | Yes | Yes | 5
3 | USB device unplugged | Cause: USB device is unplugged. Sound: “System Health Alert” Note: Only available on Intel® Desktop Board D915PDT. Only support USB devices that strictly comply with USB 2.0 standard. | No | Yes | 5
4 | Processor Error | Cause: Abnormal operation of the system or CPU fans Sound: “System Health Alert” | No | Yes | 5
5 | Chassis Intrusion | Cause: The machine chassis is opened Sound: System Healthy Alert Note: This function requires a specially designed chassis. | No | Yes | 5

The picture below shows the interface when there is abnormal alert:

Click “Acknowledge” to delete the corresponding alert item from the list or click “Acknowledge all” to delete all alert items from the list.

The user is also able to see the alert icon [ [image] ] in the “Managed Clients” page when there is an active alert.


3.5.2 Asset Change

The icon for Asset Change is displayed below:

Hardware Information Change

When the server detects any hardware change since the last boot, it will generate an asset alert. Hardware information includes CPU, motherboard, memory, and hard disk.

# | Alert Info | Alert Cause / Pre-requisites / Alert Sound | Client powered on | Sound | Max Delay (Second)
1 | Asset Change | Cause: The hardware information is different from last restart Sound: Anti-theft alert Note: Only CPU, motherboard, memory, and hard disk changes will result in alerts. | Yes | Yes | 3

Client/Server Intel® Platform Administrator version conflicts

Asset Alerts will also be generated if Intel® Platform Administrator Server detects an old version of Intel® Platform Administrator Agent or Intel® Platform Administrator Client. These Asset Alerts are detailed below:

# | Alert Info | Alert Cause / Alert Sound / Note | Client powered on | Sound | Max Delay (Second)
1 | Old version Intel(R) Platform Administrator Agent is discovered in the network | Cause: Old version Intel® Platform Administrator Agent is discovered in the network Note: Alerts will only be generated if the difference between versions is significant. For example, if Intel® Platform Administrator Server is V1.1, and Intel® Platform Administrator Agent is V1.0 an alert will be generated. But if Intel® Platform Administrator Server is V1.1.0.198, and Intel® Platform Administrator Agent is V1.1.0.100, no alert will be generated. | Yes | No | 3
2 | Old version Intel(R) Platform Administrator Client is discovered in the network | Cause: Old version Intel® Platform Administrator Client is discovered in the network Note: Alerts will only be generated if the difference between versions is significant. For example, if Intel® Platform Administrator Server is V1.1, and Intel® Platform Administrator Agent is V1.0 an alert will be generated. But if Intel® Platform Administrator Server is V1.1.0.198, and Intel® Platform Administrator Agent is V1.1.0.100, no alert will be generated. | Yes | No | 3

In the Asset Change page, the user will find the following information:

Last Updated Time | Last hardware change time
Location | The location information set in the client BIOS
Client IP | The IP address assigned to the client
Last HW Changes | Most recent hardware changes and their status
Status | Acknowledgement of asset changes
History Details | View the detailed history information

Click “Location” to view the client system, hardware, and hard disk info.

Click “Acknowledge” to acknowledge the asset change information. Click “Acknowledge All” to acknowledge all changes.

Click “Details” to view the detailed asset change history information as seen below:


3.5.3 Task Log

In the “Task Log” page, all task execution statuses are listed, including successful and failed tasks.

In Task Log page, user will find information below:

Log Time | When the task was executed
Location | The location information set in the client BIOS
Client IP | The IP address assigned to the client
Task Info | Detailed task info
Status | Task execution status, including successful and failed tasks. For failed tasks, the error code will be listed.

Only failed tasks will be displayed by default. The user can select “Display all tasks” from the drop-down list box to display the complete task log:

Frequently Occurring Error Code

Error Code

Short Name

Description

0x00000000

SUCCESS

The task was completed successfully.

0x80000002

INVALID_ PARAMETER

Possibility:

§ The current disk status is invalid. For example, some commands require a client or server restart to take effect, but another operation was performed before the restart.

§ There is local command running on the client, and the server sent another command. Because the local command is the top priority for the client, commands from server will be bounced back and the server will report an error in the management console.

§ User did not follow the correct operation procedures.

0x8000000E

NOT_FOUND

Possibility:

§ Device connection error. For example, the hard disk is not properly connected.

§ Hard disk has recovered to a previous status. This is mostly occurs during golden machine operation.

§ If this error does not occur on a golden machine, it could be that the client could not find a valid path to recover to the specified disk status. In this case, it will lead to incremental package creation failure, possibility because there was error during checkpoint creation.

0x80000016

ICMP_ERROR

Possibility:

Packet transmission error in network. Probably because the network is not in good condition and there is an unreachable host, routing failure etc.

0x80000017

TFTP_ERROR

Possibility:

§ The MTFTP root path is not correctly configured.

§ The image or incremental package under the MTFTP root path has been changed or deleted.

§ There is not enough space on the disk where the MTFTP root path is located. For example, the image/incremental package created by the user will be saved under MTFTP root path. If there is no space for saving these files, it will report error in the server management console.


Chapter 4. How to Use Utility Tool

Intel® Platform Administrator Utility Tool offers 4 major functions:

-        Backup/restore server data

-        Import/export server authentication key

-        Import/export image and package information

-        Manage firmware update file

Click [Start] à [Program] à [Intel® Platform Administrator Server] à [Server for i-Café V1.1] à [Utility Tool] to start the utility tool.


4.3BackupRestoreServerData

4.1 Backup/Restore Server Data

The user can backup server data, restore to a previous status, or transfer data and settings to a new server using the utility tool.


4.3.1BackupServerData

4.1.1 Backup Server Data

When user need to backup server data, select “Backup server data”, click “Next” to continue.

Select the directory location in which to save the backup data. It is suggested that a special directory be created for saving this data. Click “Next” to continue.

The system will begin the backup server process, as show below:

When the task is complete, clicking “Complete” will return the user to the first page of the Utility Tool Wizard.

NOTE.

1. After server backup is completed, the data will be saved under the selected directory. It is suggested that a special folder be created for saving this specific file, and that the save date be used as the folder name.

2. Database backup and restore cannot be done from one server version to another server version. For example, database backed up from a server using Intel® Platform Administrator Server v1.0 cannot be restored on a machine using Intel® Platform Administrator Server v1.2.


4.3.2RestoreServerData

4.1.2 Restore Server Data

When the server data is damaged or the server needs to recover to a previous status, select “Restore server data” from the utility tool menu. Click “Next” to continue.

The user needs to specify the folder that contains the server backup data.

Click “Next” to continue.

This operation requires rebooting all related services. It may lead to exception if there are tasks on going. The system will prompt as follows:

Click “Yes” to confirm. The system will start recovering the server to the previous status.

The system will automatically restart the services.

After the task is complete, clicking “Complete” will return the user to the first page of the Utility Tool Wizard.


4.2 Import/Export Server Authentication Key

When upgrading, reinstalling or replacing the server, the server authentication key export/import function can assist in a seamless transition from the old server to the new or updated server.

During initial registration, the client will undergo a process of binding with the server. After the binding process, the client will receive a unique server authentication key and the server will receive the MAC address of the binding client. Later, any further communication from the server will be accompanied by the unique server authentication key for verification. Also, all messages from the client will be accompanied by the client MAC address. So, once a client has completed the binding process with a server, it can only managed by this server and cannot register to other servers.

The “Import/Export Server Authentication Key function provided by the utility tool can enable the transfer of this binding relationship in order to allow new or upgraded servers to manage existing clients without the need to repeat the registration process.


4.2.1 Export Server Authentication Key

Select “Export Server Authentication Key” to export the server authentication key.

Click “Next” to continue.

Select the file directory and name the server authentication key in the “Please specify the file” textbox. Click “Save”. The server authentication key will be saved in the designated directory, and file format will be “.svk”. Click “Next” to continue.

This operation requires rebooting all the related services. It may lead to exception if there are tasks on going. System will prompt as below:

Click “Yes” to confirm, and the system will start to export the server key.

Please make sure that no other programs are using SQL Server, otherwise the task may fail.

The export process may take a few seconds. The system will automatically reboot the related system services. Please don’t execute any operations that are related to SQL Server during the export process, otherwise the task may fail.

When the export task is completed, click “Complete”. The user will return to the first page of the Utility Tool Wizard.


4.2.2 Import Server Authentication Key

After the server has been updated, the user can import the server key.

Select the “Import Server Key” option. Click “Next” to continue.

Click the button next to the “Please choose the file” textbox, and select the server authentication key to be imported.

After selecting the server key, click “Next” to continue.

This operation requires rebooting all related services. It may lead to exception if there are tasks on going. The system will prompt as below:

Click “Yes” to confirm. The system will start to import the server key.

Please make sure that there are no other programs using SQL Server, otherwise the task may fail.

The export process may take a few seconds. The system will automatically reboot the related system services. Please don’t execute any operations related to SQL Server during the export process, otherwise the task may fail.

When the task is complete, click “Complete” to go back to first page of the Utility Tool Wizard.


4.3 Import/Export Image and Package Information

When upgrading, reinstalling or replacing the server, the image and package information export/import function can assist in a seamless transition from the old server to the new or updated server.

The “Import/Export Image and Package Information function provided by the utility tool can enable the server to manage existing image and package without the need to recreate another image or package.

The image and package information only contains the information of image/package size, creator, created time, etc. user needs to copy the image and package to the specified MTFTP directory when executing related commands, e.g. image/package deployment.


4.3.1 Export Image and Package Information

Select “Export Image and Package Information” to export the image/package information.

Click “Next” to continue.

Select the file directory.

Click “Next” to continue, and the system will start to export the image and package information.

When the export task is completed, click “Complete”. The user will return to the first page of the Utility Tool Wizard.


4.3.2 Import Image and Package Information

After the server has been updated, the user can import the Image and Package Information.

Select the “Import Image and Package Information” option. Click “Next” to continue.

Click the button next to the “Please choose the file” textbox, and select the image/package info directory to be imported.

Click “Next” to continue. The system will start to import the image and package information.

When the task is complete, click “Complete” to go back to first page of the Utility Tool Wizard.

CAUTION.

Please copy the corresponding image and package files to MTFTP root path after completed importing.


4.1ManageFirmwareUpdateFiles

4.4 Manage Firmware Update Files

This function enables the user to manage firmware update files.

The user can click the hyperlink in the wizard to download the latest firmware update file.

If the firmware update file has already been downloaded, click “Next” to continue:

In the “Update Files List”, the user can add, remove and view update files:


4.1.1Add

4.4.1 Add

The user can view the current list to see whether the necessary update file is listed.

If not, click the “Add” button and the “Open” window will pop up.

Select the update file and click Open.

The selected update file will be added to the “Update Files List”.

The “Note” column is editable. The user can use it to enter descriptions or comments:


4.1.2Delete

4.4.2 Delete

If the user needs to delete old files, select the files from the “Update Files List”, and click the “Remove” button.

TIP.

1. The user cannot use the “Delete” key to delete files directly.

2. Pressing Ctrl or Shift will allow the user to select multiple files at the same time.

After adding or deleting the update file, click “Next” to continue. The system will prompt:

Click “Yes” to confirm. The task is completed, and the user will see the figure below.

Clicking “Finish” will return the user to the first page of the Utility Tool Wizard.


Chapter 5. How to Use the Agent Update Tool

In this chapter, we are going to introduce how to use the Agent update tool.

This tool is designed to assist in upgrading the client agent from version 1.0 to version 1.1.

See section 9.9 for the detailed procedure.

Click [Start] à [Program] à [Intel® Platform Administrator Server] à [Server for i-Café V1.1] à [Agent Update Tool] to start the agent update tool.

The user can configure the agent update file using one of two methods:

- Automatic configuration

- Configuration from a specified directory

Before starting the configuration process, please make sure that:

1. DHCP service has started.

2. Intel® Platform Administrator Client has been uninstalled (See section 8.2.2).


5.1 Configure Upgrade File Automatically

In most cases, the user can use the automatic configuration option. The tool will automatically search for the update file.

To configure the Agent/BIOS update process automatically, choose the“Configure upgrade file automatically” option. If there are multiple subnets in the network, the user will need to select the appropriate server IP as well.

Make sure that the DHCP service is started, and click “OK” to continue.

The system will prompt the user make sure that Intel® Platform Administrator Client has been uninstalled before updating the agent on the client. Click “Yes” to continue.

The system will automatically configure the update file. Task is completed.


5.2 Configure Upgrade File from a Specified Location

In some cases, the agent file may be altered or damaged. In these cases what the user needs to do is copy the correct agent update file to a specified directory and select “configure from specified location”.

Click next to the text box at the bottom of the menu, browse for the agent file, and click “Open” to select the agent file for use in the upgrade.

The specified file will appear in the address column. Click “OK” to confirm.

Please make sure that the DHCP service has started. Click “OK” to continue.

The system will prompt the user to make sure that the Intel® Platform Administrator Client software has been uninstalled before updating the client. Click “Yes” to continue.

Task is completed.

TIP.

If user has selected to assign the client a static IP address, please exit DHCP service after the configuration is complete. Otherwise it may cause an error.


Chapter6.HowtoUsetheClientHDProtection

Chapter 6. How to Use the Client Hard Disk Protection

Intel® Platform Administrator Client (Professional Edition 1.1) runs on the OS of the client, providing remote server management and client hard disk protection.

Hard Disk Protection Software can protect the system data and user data in the hard disk against corruption. When Hard Disk protection has been installed, the protected hard disk sectors of the machine will recover to the last saved status each time it is reset. Accordingly, all operations performed between the two reboot times will be cleared away, which is suitable in environments such as Net Bars and Multimedia Classrooms. This software can greatly lighten the administrator workload. Users can use this software to create checkpoints for saving operations or data, or use it to recover the hard disk to some specified “checkpoints”. Checkpoints can also be deleted, but users should note that after deleting one checkpoint, all previous checkpoints will be deleted as well.

Intel® Platform Administrator Client (Professional Edition 1.1) provides the functions below:

§ Enable/Disable Hard Disk Protection

§ View disk space usage

§ Execute all Hard Disk Protection commands, including:

-        Create a new checkpoint

-        Recover to the latest checkpoint

-        Recover to a selected checkpoint

-        Save data

-        Set parameter

§ View version info

§ Exit Hard Disk protection

After client Hard Disk Protection is installed, each time the system starts up, Hard Disk Protection will automatically run, and the Hard Disk Protection icon [ [image] ] will be displayed in the system tray. Place the cursor on the icon and right-click mouse to display the system menu:


6.1 Enable/Disable Hard Disk Protection

After installing Intel® Platform Administrator Client, Hard Disk Protection is enabled by default.


6.1.1DisableHDProtection

6.1.1 Disable Hard Disk Protection

To stop Hard Disk protection, uncheck “Enable Hard Disk Protection” in the system menu.

After un-checking “Enable Hard Disk Protection”, the system will prompt the user to provide the Hard Disk Protection password. Enter the Hard Disk protection password in pop-up window.

The system will pop up a warning, as seen below. Click “Yes” to continue.

The system will automatically reboot and hard disk protection will be disabled. The icon in the system tray will change from [ [image] ] to [ [image] ].


6.1.2EnableHDProtection

6.1.2 Enable Hard Disk Protection

After the client Hard Disk Protection has been disabled, the user can re-enable the hard disk protection by clicking “Enable Hard Disk Protection” in the system menu:

The system will display the prompt seen below. Click “Yes” to continue.

The user must reset the Hard Disk Protection password, and then click “OK” to continue.

System will display the prompt seen below. Click “Yes” to continue.

Click “OK” to reboot system and complete the activation of Hard Disk Protection.

The system will reboot automatically and enable Hard Disk protection, the icon at system tray will change back from [ [image] ] to [ [image] ].


6.2 View Disk Space Usage

Click “disk space” in the Hard Disk Protection system menu to view the protected hard disk partition details, including the protected disk ID, total free space, percent free space.

The above figures show that disk C is protected, and that the spare space percentage is 73% and the total free space is 8821 MB.

CAUTION.

1. Only one physical hard disk can be protected.

2. Hard disk protection does not support multiple OS for a single client.

3. After the hard disk protection has been enabled, the user cannot change the disk partition properties, e.g. create a new partition, or format a partition.


6.3 Commands

Click “Commands” in hard disk protection system menu to access all of the hard disk protection commands, including:

-        Create a new checkpoint

-        Recover to the latest checkpoint

-        Recover to a selected checkpoint

-        Save data

-        Set parameter

The system will pop up the following password input dialog box to remind users to enter the password, which ensures that only the system administrator is able to configure this software.

After the system verifies the password, it will pop up the Hard Disk Protection Command Wizard.


6.3.1 Create a New Checkpoint

Select “Create a new checkpoint”, and click “Next” to continue.

Click the “Create a new checkpoint” checkbox to create a new checkpoint for the current disk status. All modifications to the OS will be recorded in this checkpoint. The user can set a name for this checkpoint. If the OS is shut down abnormally at this time, the previous will be recovered to the previous checkpoint, and this command will not be executed.

CAUTION.

1. There is a limit of 32 simultaneous checkpoints for any one machine.

2. The checkpoint name length cannot exceed 20 characters, and only alphabet letters and numbers can be used.

Enter the new checkpoint name, and click “Next” to continue.

Check the checkpoint creation information. Select the checkbox “Reboot immediately”, and click “Complete”. The system will reboot immediately and create a new checkpoint.

If the checkbox “Reboot immediately” is not selected, the system will create a checkpoint during the next reboot.


6.3.2 Recover to the Latest Checkpoint

Select “Restore to latest checkpoint”, and click “Next” to continue. All the current data written on the hard disk will be lost.

Select the checkbox “Reboot immediately”, and click “Complete”. The system will reboot immediately to the status of the most recent checkpoint.

If the checkbox “Reboot immediately” is not selected, the system will restore to most recent checkpoint during the next reboot.


6.3.3 Restore to a Selected Checkpoint

Select “Restore to the selected checkpoint”, and click “Next” to continue.

Select the desired checkpoint, and click “Next” to continue.

Check the checkpoint restore information. Select the checkbox “Reboot immediately” and click “Complete”. The system will reboot immediately and restore to the status of the selected checkpoint.

If the checkbox “Reboot immediately” is not selected, the system will restore to the selected checkpoint during the next reboot.

After completing this command, all checkpoints after the selected one will be deleted.


6.3.4 Save Data

Select “Save Data”, and click “Next” to continue.

The system will save the current hard disk status permanently. All the checkpoints created previously will be deleted and the system will start to create new checkpoints from the current hard disk status.

The system will display the prompt shown in the figure below. Select the “Reboot immediately” checkbox and click “Complete”. The system will reboot immediately to save the data permanently and create a new checkpoint at the same time.

If the checkbox “Reboot immediately” is not selected, the system data save will be executed during the next reboot.

CAUTION.

If the checkbox “Reboot immediately” is not selected during command setting, all subsequent operations will be recorded and included in the data save or created checkpoint.

WARNING.

1. “Create a new checkpoint” and “Save data” will record all modifications to the disk. Therefore it is important to avoid saving modifications that affect the OS‘s normal operation.

2. Hard Disk Protection doesn’t support partition format and size modification. If users change the partition format or size, and such changes may not take effect. If users created a new checkpoint after those changes, the system may function abnormally.

3. After installing Hard Disk Protection, some space of the protected partitions will be marked as bad tracks. Do not attempt to alter these bad tracks, or it may cause the system to function abnormally. After uninstalling Hard Disk Protection, these bad tracks will be recovered automatically.


6.3.5 Set Parameters

Select “Set Parameters”, and click “Next” to continue.

The user can set parameters for low disk space alerts and change the Hard Disk Protection password in the “Set Parameters” section.

Low Disk Space Alert

When free disk is less than the low disk space alert parameter, the system will generate an alert to inform the user. The default value is 1%. The user can change the value as seen below:

The low space alert parameter can be altered by clicking the [ [image] ] and [ [image] ] buttons. After the parameter has been set, when disk space reaches the warning percentage, the system will display the following prompt:

The user must clean up the protected disk or reboot system after receiving this message, otherwise the system may function abnormally.

Change Password

Click the “Change Password” button, and enter the old password and new password. Click “OK” to complete the change.


6.4ViewVersionInfo

6.4 View Version Information

Select “About” to view the Intel® Platform Administrator version.


6.5ExitHDProtection

6.5 Exit Hard Disk Protection

Click “Exit” to exit the hard disk protection interface, and the icon will disappear from system tray. Exiting in this way only exits the user interface, not the hard disk protection function itself. The hard disk will still be protected.


Chapter 7. How to Use Agent

Intel® Platform Administrator Agent and Intel® Platform Administrator Client work together to carry out many operations in the clients. Before installing Intel® Platform Administrator Client, users must enable the Intel® Platform Administrator Agent first. In the default configuration of BIOS, Intel® Platform Administrator Agent is disabled.


7.1EnableDisableIntel(R)PlatformAdministratorAgent

7.1 Enable/Disable Intel® Platform Administrator Agent

Intel® Platform Administrator Agent management includes Agent enable and Agent disable functionalities.


7.1.1EnableIntel(R)PlatformAdministratorAgent

7.1.1 Enable Intel® Platform Administrator Agent

See Step 4 of Chapter 2.


7.1.2DisableIntel(R)PlatformAdministratorAgent

7.1.2 Disable Intel® Platform Administrator Agent

Restart client, and press F2 to enter BIOS. Select “Agent” in “Manageability”, and press ENTER to select “Disable”. Press ENTER again for confirmation.

Press F10 to save and exit. The client will reboot automatically.

WARNING.

Please make sure Intel® Platform Administrator Client is completely uninstalled before you disable Intel® Platform Administrator Agent. Otherwise, Intel® Platform Administrator Client will work abnormally.


7.2 Release Binding

When the binding is no longer applicable (e.g. system crash, server changed), the user needs to release the client/server binding for the client in BIOS.

Press F2 to enter BIOS. Under “Manageability”, select “Bound to Server”. Press ENTER to select “No”, and press ENTER again for confirmation.

Press F10 to save and exit.

Client will reboot and search for a server to which to establish a new binding. If the option “Bound to Server” is set to ‘NO’ and grayed out, that means the client is not bound to any server.


7.3 Enter Location Info

See Step 6 of Chapter 2.


7.4 Configure IP address

See Step 6 of Chapter 2.


7.5 Disk Protection

Agent’s hard disk protection function corresponds to the Client’s hard disk protection function, including recovering to the selected checkpoints, uninstalling hard disk protection, etc.


7.5.1 Recover to a Checkpoint

Select “Recover to Checkpoint” and press <Enter>. Select the checkpoint to restore to from the Checkpoint List, and then press <F10> to save and exit. The system will reboot immediately to execute this command.


7.5.2 Disable Disk Protection

Select “Disable Disk Protection” and press Enter. Select “<->”, and press F10 to save and exit. The system will reboot and disable disk protection. The hard disk protection components still exist but will not function.

WARNING.

Normally, users should uninstall the hard disk protection driver by uninstalling Intel® Platform Administrator Client. This function is used to uninstall hard disk protection only in the following situations: the operating system is crashed and needs to be reinstalled, the hard disk protection password is missing, or other emergencies.


Chpater 8. How to Install, Uninstall And Upgrade


8.1InstallIntel(R)PlatformAdministrator

8.1 Install Intel® Platform Administrator


8.1.1InstallIntel(R)PlatformAdministratorServer

8.1.1 Install Intel® Platform Administrator Server

See Step 3 of Chapter 2.


8.1.2EnableIntel(R)PlatformAdministratorAgent

8.1.2 Enable Intel® Platform Administrator Agent

See Step 5 of Chapter 2.


8.1.3InstallIntel(R)PlatformAdministratorClient

8.1.3 Install Intel® Platform Administrator Client

See Step 7 of Chapter 2.


8.1.4 Registration

Please visit our product support website: www.intel.com/platformadmintech and register your product.


8.2UninstallIntel(R)PlatformAdministrator

8.2 Uninstall Intel® Platform Administrator


8.2.1UninstallIntel(R)PlatformAdministratorServer

8.2.1 Uninstall Intel® Platform Administrator Server

Select [Control Panel] à [Add/Remove Program] à Remove “Intel® Platform Administrator Server (i-Café Professional Edition 1.1)”.

System will popup a confirmation window. Click “Yes” to continue.


8.2.2UninstallIntel(R)PlatformAdministratorClient

8.2.2 Uninstall Intel® Platform Administrator Client

1）Disable Hard Disk Protection

Hard Disk Protection must be disabled before removing Intel® Platform Administrator Client.

Right click mouse on the icon [ [image] ] located in the system tray, and click “Enable Hard Disk Protection” to disable hard disk protection.

Enter the Hard Disk Protection password.

System will prompt:

Click “Yes”. The client will reboot immediately, and the HARD DISK Protection will be disabled after the reboot.

2）Remove Intel® Platform Administrator Client

After HARD DISK Protection has been disabled, the user can remove Intel® Platform Administrator Client.

Select [Control Panel] à [Add/Remove Program] à Remove “Intel® Platform Administrator Client (Professional Edition 1.1).

The system will prompt the user to confirm the uninstall of Intel® Platform Administrator. Click “Yes” to continue.

In the popup window, enter the HARD DISK Protection password and click “OK”.

The system will prompt whether to reboot immediately. Click “Yes” to continue.

The system will reboot immediately to remove Intel® Platform Administrator Client. After rebooting, all protected disk images will no longer be protected.


8.3UpgradeIntel(R)PlatformAdministrator

8.3 Upgrade Intel® Platform Administrator


8.3.1UpgradeIntel(R)PlatformAdministratorServer

8.3.1 Upgrade Intel® Platform Administrator Server

1） Export Server Key

See Section 4.2.1.

2）Remove an old version of Intel® Platform Administrator Server

See Section 8.2.1.

3）Install a new version of Intel® Platform Administrator Server

See Step 3 of Chapter 2.

4）Import Server Key

See Section 4.2.2.

CAUTION.

The user must export the server authentication key before removing Intel® Platform Administrator Server and import the same server authentication key after installing a new version. If the user fails to do so, for all previously registered clients that were bound to the old server (based on the server key), the user will need to release the binding in each client BIOS individually.


8.3.2UpgradeIntel(R)PlatformAdministratorClient

8.3.2 Upgrade Intel® Platform Administrator Client

1） Remove Intel® Platform Administrator

See Section 8.2.2.

Install new version Intel® Platform Administrator Client

See Step 7 of Chapter 2.


8.3.3UpgradeIntel(R)PlatformAdministratorAgent

8.3.3 Upgrade Intel® Platform Administrator Agent

There are 2 methods for upgrading the Intel® Platform Administrator agent:

1. On the server, the agent can be updated using the “update agent/BIOS” function in the server management console.

2. On the client, the agent can be updated by running IntelPATAgent.exe.

Method #1 is recommended, because user can select multiple clients to be upgraded simultaneously.

Method #2 must be executed on each client individually, and can be used in cases where only a few clients need to have their agents updated.


8.3.3.1 Remote Upgrade

See section 3.2.2.6.


8.3.3.2 Local Upgrade

The agent/BIOS update file is different for different motherboards. The user needs to check the motherboard type before selecting the agent/BIOS update file.

See section 3.2.2.6 for how to check the motherboard type and select the correct agent/BIOS update file.

On the client enter the OS and double click “IntelPATAgent.exe” to start the upgrade.

Click “Next” to continue.

Click “Yes” to continue.

Click “Finish” to finish the agent upgrade wizard. The client will automatically reboot and update the agent.

CAUTION.

Please log on client machine using administrator account before executing the agent/BIOS upgrade file (IntelPATagent.exe), otherwise it may fail.


Chapter9.TypicalScenarios

Unit 4. Case Study

Chapter9.TypicalScenarios

Chapter 9. Typical Scenarios

We have listed the most frequent usage scenarios for Intel® Platform Administrator in this chapter.


9.1.1 I Have Ready Clients

1. Select a golden machine.

2. On the golden machine, uninstall the old version Intel® Platform Administrator Client.

3. Install the OS and applications on the golden machine.(Use FAT32 format).

4. Install the new version of Intel® Platform Administrator Client on the golden machine.

5. On the server, create a disk image from the golden machine.

6. On the server, deploy the disk image to the other clients.


9.1.2 I Have New Clients

1. Enable the agent in BIOS on all new clients.

2. Configure the IP setting in BIOS on all new clients.

3. Select a golden machine, and uninstall the old version of Intel® Platform Administrator Client

4. Install the OS and applications on the golden machine( Use FAT32 format).

5. Install the new version of Intel® Platform Administrator Client on the golden machine.

6. On the server, register the new clients to the server.

7. On the server, create a disk image from the golden machine.

8. On the server, deploy the disk image to the other clients.


9.2 Deploy for New Clients

I have an i-Café environment already uses Intel® Platform Administrator. How do I configure and integrate new clients into this environment?

1. Enable the agent in the client BIOS.

2. Configure the IP setting in the client BIOS.

3. On the server, register the new clients to the server in the management console.

4. On the server, update the agent/BIOS for new clients.

5. On the server, deploy the existing disk image to the new clients.


9.3 Recover a Client

My client has crashed. How can I recover it to a previous normal status?


9.3.1 Remote Network Recovery

1. On the server, select the client user want to recover.

2. On the server, click the button “network recovery”.

3. On the server, click “Apply”.

4. The server will automatically deploy image and package to the clients based on the history record.


9.3.2 Re-deploy Image and Package

1. On the server, select the client that needs to be recovered.

2. On the server, click the “deploy image” button.

3. On the server, select the image to be deployed.

4. On the server, click “Apply”.


9.4 Replace Hardware for Client

I have replaced some hardware on one of my clients. What do I need to do?


9.4.1 Replace Hard Disk

See section 9.3.


9.4.2 Replace Motherboard

1. On the server, delete the client on which the motherboard has been replaced.

2. On the client, re-configure the IP setting in BIOS.

3. On the server, register the client to the server.

4. On the server, execute “Local Boot’ to boot the client to the OS.


9.4.3 Replace Other Hardware

No action required.


9.5 Install, Uninstall or Upgrade games

I want to install/uninstall or upgrade a game. What do I need to do?

1. Select a golden machine.

- There’s no need to create a checkpoint.

- Do not restart the golden machine

2. On the golden machine, install / uninstall / upgrade the game.

3. On the server, create a new package in the management console.

4. On the server, deploy the new package to other clients.

TIP.

Multicast does not function during package deployment. If the user does not disable the Multicast function before deploying packages to a large amount of clients, it will cause network congestion and slower-than-usual deployment. We suggest deploying packages to no more than 50 clients at a time when Multicast function is enabled.


9.6UpgradeIntel(R)PlatformAdministratorServer

9.6 Upgrade Intel® Platform Administrator Server

I want to upgrade Intel® Platform Administrator Server. What do I need to do?

1. On the server, export the Server authentication key using the utility tool.

2. On the server, export the existing image/package for data backup.

3. On the server, uninstall any old version of Intel® Platform Administrator Server.

4. On the server, install the new version of Intel® Platform Administrator Server.

5. On the server, import the Server authentication key using utility tool.

6. On the server, import the image/package.


9.7UpgradeIntel(R)PlatformAdministratorClient

9.7 Upgrade Intel® Platform Administrator Client

I want to upgrade Intel® Platform Administrator Client. What do I need to do?

1. On the golden machine, uninstall any old version of Intel® Platform Administrator Client

2. On the golden machine, install the new version of Intel® Platform Administrator Client

3. On the server, create a new image from golden machine and deploy to the other clients.


9.8UpgradeIntel(R)PlatformAdministratorFirmware

9.8 Upgrade Intel® Platform Administrator Firmware

I want to upgrade Intel® Platform Administrator agent/ BIOS. What do I need to do?


9.8.1 Local Upgrade

1. On the client, enter BIOS to check the client motherboard type.

2. Use the motherboard type to select the correct Agent/BIOS update file.

3. On the client, double click the selected IntelPATagent.exe to upgrade the agent/BIOS on local PC.


9.8.2 Remote Upgrade

1. Select a golden machine.

2. On the golden machine, copy the agent/BIOS update file to the golden machine.

3. On the golden machine, double click IntelPATagent.exe to upgrade the agent/BIOS on golden machine.

4. On the server, create a new package.

5. On the server, deploy the new package to the other clients.


9.9UpgradeIntel(R)PlatformAdministratorfromV1.0toV1.1

9.9 Upgrade Intel® Platform Administrator from V1.0 to V1.1

In this chapter, we are going to discuss how to upgrade Intel® Platform Administrator from V1.0 (including Server V1.0, Client V1.0, and Agent V1.0) to V1.1 with existing motherboards in an i-café environment.

There are 6 steps to go:

1. On the server, uninstall Intel® Platform Administrator Server V1.0, and install the Intel® Platform Administrator Server V1.1

2. Enable alert function for each client.

1) Press F2 to enter BIOS, select Power tab.

2) Select “Power on” for “Wake on LAN from S5”.

3) Select “S3 State” for “ACPI Suspend State”.

3. Uninstall Intel® Platform Administrator Client V1.0 on golden machine.

4. Update all clients’ Agent/BIOS from V1.0 to V1.1. User can choose option 1 or 2 to update the Agent/BIOS.

A. Update Through Boot to EFI PXE

User need to configure firmware update file before update through Boot to EFI PXE.

To configure the Firmware update file on server, user can choose from one of the method below:

The user needs to configure the Agent/BIOS update file before updating through Boot to EFI PXE.

To configure the Agent/BIOS update file on the server, the user can choose from one of the methods below:

Option 1: Manual Configuration

Manually copy the Agent/BIOS update file IntelPATagent.efi to the specified MTFTP directory.

Option 2: Automatic Configuration

Use the update tool to import the Agent/BIOS update file. This tool will help the user to copy the file to MTFTP directory automatically.

After the update file has been configured, the user can update the client Agent/BIOS through Boot to EFI PXE method. To update the client Agent/BIOS in this way, do the following:

Press F2 to enter BIOS of each client. Follow the steps:

1) Under “Manageability”, set “Agent” to “Disable.

2) Under “Boot”, set “Boot to EFI PXE” to “Enable”.

3) Press F10 to save and exit.

Client will automatically boot to EFI PXE and download the agent update file from server and then burn it into Flash ROM.

B. Update Agent/BIOS Through IntelPATAgent.exe

On each client, copy the Firmware update file IntelPATagent.exe to a directory and run the exe file.

After the client Agent/BIOS has been updated to V1.1, the client will register to the Intel® Platform Administrator Server V1.1 for acceptance.

5. Select a golden machine, and install Intel® Platform Administrator Client V1.1.

6. Create an image from the golden machine and deploy the image to the other clients.

CAUTIION.

1. User must uninstall Intel® Platform Administrator Client before updating agent for golden machine, otherwise the golden machine may fail to enter operating system after agent updating.

2. It is not required to uninstall Intel® Platform Administrator Client for other client machines, client machines can enter operating system by image deployment that created from the golden machine.


9.10 Upgrade Intel® Platform Administrator from V1.1 to Latest Version

This section presents how to upgrade Intel® Platform Administrator from V1.1.0.168 or V1.1.0.198 (Server, Client, and Agent) to the latest version using a patch file.

If Intel® Platform Administrator V1.1.0.168 or V1.1.0.198 has been installed, the user can run the patch file without first uninstalling the old version. The system configuration and client information will be retained.

CAUTION.

§ The patch file upgrade can only be performed when upgrading from Intel® Platform Administrator .

For versions prior to V1.1.0.168, the patch file cannot be used. Versions prior to V1.1.0.168 must be uninstalled, and a full installation of the new version must be performed.

§ System configuration and client information will be retained after upgrading.

Data exported from versions V1.1.0.168 or V1.1.0.198 using the Utility Tool cannot be imported after upgrading to the latest version of Intel® Platform Administrator Server.

Before installation:

1. Download the patch, which includes the server, client and agent update files.

2. Confirm that Intel® Platform Administrator Client V1.1.0.168 or V1.1.0.198 has been installed on the golden machine, and that the image has been created and deployed to all clients.

Step 1. Upgrade Intel® Platform Administrator Server

1. Stop all tasks related to Intel® Platform Administrator, and close the Server Management console.

2. Double click the server setup.exe file. Select the installation language and click “OK.” Follow the instructions to install server patch file.

3. Click “Complete” and reboot server.

4. The Intel® Platform Administrator Server upgrade is complete. After rebooting the server, the user can open the Server Management console and see that version number has been updated, and that the system configuration and client information has been retained.

Step 2. Upgrade Intel® Platform Administrator Client

1. On the golden machine, double click the client setup.exe file. Select the installation language and click “OK.” Follow the instructions to install the client patch file.

2. Click “Complete.”

CAUTION.

Please do not reboot the golden machine after installing the client patch file.

3. On the golden machine, right click the “HD Protection” icon in the system tray, and select “About” in the right-click menu. The Intel® Platform Administrator Client version number has been updated.

4. On the server, create a package from the upgraded golden machine.

5. Deploy the package to the other clients.

6. After deployment, all clients have been upgraded, and the Intel® Platform Administrator Client version number has been updated.

Step 3. Upgrade Intel® Platform Administrator Agent

1. On the server, import the latest agent file using the Intel® Platform Administrator Utility Tool.

2. Use the Server Management Console to update the agent for all clients.


Chapter 10. FAQs


10.1 Installation

Problem

Solution

1

SQL Server has been installed, but when I click the management console, I am informed “SQL Server does not exist” or “access denied”. Why?

1) Check to ensure that SQL Sever has been installed correctly, and that the MS SQL Server service has been started.

2) Check to ensure that the network cables are connected. If there is no blinking light on the RJ45 port, there is probably is network cable problem.

2

There is no response for a long time while running the server setup program.

Because the mouse focus changes during installation, the database configuration window that is waiting user input may be hidden behind the main window. Move the main window and check to see if the database configuration window is behind it.

3

The system functions abnormally even after installing the DHCP server.

Ensure that the DHCP server has been configured correctly and that the service has been started. Please refer to related documents on DHCP server configuration.

4

Intel® Platform Administrator Client can’t be installed.

Check to see if Intel® Platform Administrator Agent has been disabled. Restart the client, and press F2 to enter BIOS configuration. Refer to the user manual for how to enable Intel® Platform Administrator Agent.

5

The client can’t register to the server.

There are many potential reasons for client registration failure. The following are all potential sources:

a. Server

1) Ensure that the related services on the server have started. Check that the DHCP Service and Intel(R) Platform Administrator Server – Boot Management Service are running normally.

2) Check the server to see if its IP has changed. Restart the server when the IP configuration is changed.

3) If user has chosen to set dynamic IP addresses for clients, it is possible that no DHCP service has been configured and that the client has not been assigned an IP address.

b. Client

1) Ensure that Intel® Platform Administration technology has been enabled in the client. Check to see if Intel® Platform Administrator Agent is enabled in the BIOS configuration. Please refer to user manual for this process.

2) The client may have registered to a different server and didn’t release the binding. In this case, the user needs to enter BIOS to release the old binding.

3) If user has chosen to set static IP addresses for clients, it may be that the IP address, SUBNET MASK and GATEWAY are not correctly configured in the client BIOS.

c. Network

1) Ensure that the network cable well-connected to both the server and the client.

2) Ensure that the server and the client communicate on the network. You can use the “Ping” command on both the server and the client to check the network connection.

3) Retry it. Sometimes temporary network interruptions or blocks will cause deployment failure.

6

After re-installing the OS on a client that has installed Intel® Platform Administrator, the re-installation cannot proceed normally.

Ensure that Hard Disk Protection has been uninstalled: Enter the BIOS configuration page, and uninstall hard disk protection in the “Manageability” page. Save the change and exit. Reinstall the OS after the client restarts.


10.2 Management Console

1

I want to view the other language interface, but the Management Console is displayed in English.

Intel® Platform Administrator provides English and Chinese interface for version 1.1.

The language of the management console is determined by the default language of your web browser. If you want to view other language interface, e.g. Chinese, please set the default language of your web browser to “Chinese”.

For example:

In Microsoft Internet Explorer, choose “Tools”->”Internet Options”->”Language”. Select “Chinese” as the primary language.

2

The client displays a blue screen.

1) If a blue screen appears when the OS is running normally, it might be because that there is not enough disk space or memory. Note the error information output on the screen. In any case, the user only needs to restart the client and the client will recover to the protected status.

2) If a blue screen appears when the client is booting to OS, it might because Intel® Platform Administrator Agent is disabled and client cannot finish assigned tasks. Please enable Intel® Platform Administrator Agent or update it to solve this problem.

3

Client restarts repeatedly after being selected as the golden machine.

This problem may be due to incorrect OS installation on the client or incorrect disk image which will cause WMI or registry to be incorrect. Therefore the server cannot recognize the IP settings of the client correctly and causes it to restart repeatedly.

Use the following steps to solve this problem:

1) Don’t select this client as golden machine. The client will stop restarting.

2) Select another client as golden machine.

If the above method fails, re-install the OS on the client and create disk image again.

4

The golden machine reports “Computer Name Conflict on Network”.

This problem will not cause system abnormalities, and will not affect the management and use of the system.

Once a client is selected as a golden machine, it will regress to its status from after the last image deployment (without post configuration). The golden machine has the same name as the one that is saved in the image or package. So if there are two or more golden machines, the computer name conflict will happen. It is recommended that only one golden machine exist on your network.

When other machines are in deployment, they will have the same computer name as golden machine for a short time. In this situation, the golden machine might report a computer name conflict.

5

Where can I view the progress of current tasks, such as image deployment?

“Current Task” and “Task Log” includes detailed task information. You can view the progress of the current task by refreshing the page.

6

The alarm animation is not shown in the management console.

Please ensure that “Play Animations in Web Page” has been set in Internet Explorer Option.

7

There are no audio alerts in my system.

Please ensure:

1) The alert function is enabled in ‘Server Setting’,

2) The audio card and corresponding drive have been installed on your machine.

8

The remote power on command fails.

Many reasons can cause remotely powering on fail. Check the following sources:

Server

1) Have the related services started? Please make sure that DHCP Service and Intel(R) Platform Administrator Server –ASF Proxy Service are running normally.

2) Has the server restarted after installation of Intel® Platform Administrator Server?

Network

1) Is the network cable well-connected to both the server and the client?

2) Can the server and the client communicate on the network? You can use the “Ping” command on both the server and the client to check the network connection.

3) Retry it. Sometimes network interruptions or blocks will cause deployment failure.

This command is not applicable to golden machine.

You can find the failure reason from “Current Task” and “Failed Task” sections in the Server Management Console.

9

I have enabled abnormal alert in Server Setting, but the client didn’t alarm?

1) Please make sure [ BIOS → Power → Wake on LAN from S5 → Power on] is selected.

2) Please make sure [ BIOS → Power → ACPI Suspend State → S3 State] is selected.

3) Please make sure in OS, Device Manager → network adapter → Intel® Pro/1000 MT Network Connection-→ Properties → Power Management → Allow this device to bring the computer out of standby ] is selected.

4) Please make sure in OS, Device Manager → network adapter → Intel® Pro/1000 MT Network Connection-→ Properties→ Power Management → allow this computer to turn off this device to save power ] is selected.

10

I have unplugged a USB device, but the client didn’t alarm?

1) Please make sure [Management console → Server Configuration → Server Settings (Advanced) → Enable USB unplugged alert] is enabled.

2) Please make sure the USB device strictly comply with the USB2.0 Standard. E.g. some speakers use USB port for power supply purpose only, it will not trigger alarm when unplugged.

11

I modified the client configuration remotely, and clicked the “GO” button, but when I refresh the page I find that the configuration has not changed.

Many reasons can cause update failure. Check the following potential causes:

Execution time

Remote configuration will take a moment, which includes client execution time and network transmission time. Before the execution is complete, configuration will not be changed in the server management console. Please wait 30 seconds, and refresh the page to see whether the task has been finished or not.

Server

Have the related services started? Please make sure Intel(R) Platform Administrator Server – OS Management Service is running normally.

Client

1) Is the client in the OS lifecycle? Because the remote configuration command is executed in the OS, the command will take effect only when client is in the OS lifecycle.

2) Have the operating system and Intel® Platform Administrator Client been installed correctly on the client? Because remote configuration function depends on the operating system, it will not work when the software is not installed correctly (especially WMI component).

Network

1) Is the network cable well-connected to both the server and the client?

2) Can the server and the client communicate on the network? You can use the “Ping” command on both the server and the client to check the network connection.

3) Retry it. Sometimes network interruptions or blocks will cause deployment failure.


10.3 Image and Package

1

Failure occurs during image creation.

Many issues can cause image creation failure. The following are all potential causes:

Server

1) Ensure that the file server root path is correct. File server will read and write files from this path.

2) Ensure that there is enough space on the partition of the file server root path? If you have set the minimum free disk space too high, this will cause the read and write of file server files to fail.

3) Ensure that the related services have started. Check that the DHCP Service and Intel® Platform Administrator Server – Boot Management Service are running normally.

Client

1) Ensure that the client’s disk is working normally. Check that the data and power cables are well-connected.

2) Ensure that the client has been integrated with Intel® Platform Administration technology. Refer to the discussion above.

Network

1) Ensure that the network cables are well-connected to both the server and the client.

2) Ensure that the server and the client can communicate on the network. You can use the “Ping” command on both the server and the client to check the network connection.

3) Retry it. Sometimes temporary network interruptions or blocks will cause deployment failure.

Note:

User can find the failure reason from “Current Task” and “Failed Task“ pages in the Server Management Console.

2

A disk image was created based on a file system, but the size of the image is the size of the entire partition instead.

The partition might be NTFS format. Intel® Platform Administrator 1.1 edition does support NTFS format. Therefore, if a disk image is created from a NTFS partition, the image size will be the whole partition size.

3

The incremental package size is very large, even though only small changes were made.

Besides the changes made by the user, the OS itself will generate changes. The amount of change is affected by many factors, such as system running time. All these changes will be saved during incremental package creation.

4

The local checkpoint/ incremental package creation takes a long time even though only small file creation on the hard disk.

The user may have performed operations like hard disk defrag on the protected partition, which may cause incremental package or local checkpoint creation to take much longer than expected.

5

The disk image cannot be deployed to other clients who have different hard disk sizes than the golden machine from which the image was created.

Ensure that the total disk size of the golden machine is smaller than or equal to the size of the other clients. Otherwise, the image will be unable to be deployed to the clients.

6

Failure occurs during image deployment.

Many reasons can cause image deployment failure. You can use following steps to check:

Server

1) Ensure that the file server root path is correct. File server will read and write files from this path.

2) Ensure that there is enough space on the partition of the file server root path? If you have set the minimum free disk space too high, this will cause the read and write of file server files to fail.

3) Ensure that the related services have started. Check that the DHCP Service and Intel(R) Platform Administrator Server – Boot Management Service are running normally.

Client

1) Ensure that the client’s disk is working normally. Check that the data and power cables are well-connected.

2) Ensure that the client has been integrated with Intel® Platform Administration technology. Refer to the discussion above.

Network

1) Ensure that the network cables are well-connected to both the server and the client.

2) Ensure that the server and the client can communicate on the network. You can use the “Ping” command on both the server and the client to check the network connection.

3) Retry it. Sometimes temporary network interruptions or blocks will cause deployment failure. Deselect “MULTICAST”, and retry.

Image

If the image created from golden machine has been modified due to some local operations, image deployment may fail.

Note:

User can find the failure reason from “Current Task” and “Failed Task“ pages in the Server Management Console.

7

External hardware was connected (e.g. web camera) to the golden machine and the driver was installed. But although a package was created and deployed to the other clients, this external hardware does not function properly on those clients.

Ensure that the USB controller being used on the clients is the same as the one being used on the golden machine.

For example, if the web camera on golden machine is connected to USB Controller 1, but on the client machine the web camera is connected to USB Controller 2, the web camera may be detected but will not work properly on the client.

8

When a disk image or incremental package is deployed to the client, there is always a “Client Connection Lost” alert.

The “Connection Lost” alert is caused by the disk image or package being deployed.

To understand this problem better, we will first introduce the principle of “Client Connection Lost” alert. “Client Connection Lost” alert is based on the abnormal alert function. When setting the abnormal alert function, the address of the abnormal alert server will be recorded. Then the client will send its heartbeat signal to this server. When server does not receive the client’s heartbeat signal for a while, it will send out the “Client Connection Lost” alert.

The following operations will prompt a “Client Connection Lost” alert when deploying a disk image or package:

Operation | Server Address
Setting the abnormal alert function on the golden machine, and the alert sever A will be recorded. | A
If using the hard disk protection function, the abnormal alert settings will be saved by creating a local checkpoint or saving data. | A
Create a disk image from the golden machine. Then: n Change the server’s address n Export the image to another server n Connect the golden machine to another sever, and create an image | A->B
Deploy this image to other clients. Because the server A’s address is associated with the image, server B will not receive the clients’ heartbeat signal and will report “Client Connection Lost”. | B
After deployment, clients will do post configuration and update the server address to B. B can now receive the heartbeat signal. | B
Deploy the incremental package to these clients. These clients will recover to the original status of the disk image. Because the server address in disk image is A, B will receive the heartbeat signal and report “Client Connection Lost”. | B
After deployment, clients will do post configuration and update the server address to B. B can now receive the heartbeat signal. | B

Solution:

Because the post configuration will update the server address, this alert will not influence any functions. So the alert that happens during image or package deployment can be ignored.

If the following happens after you set the abnormal alert on the golden machine and save this setting:

- Change server’s address

- Export the image to another server

- Connect this golden machine to another server, and create image

The best method is to follow the steps listed below on the server B:

1) Select a golden machine

2) Disable or Enable (depends on the original status) abnormal alert function which will update the server address

3) Save this setting

4) Re-create a disk image from the golden machine


10.4 Hard Disk Protection

1

Frequent “Not Enough Free Disk Space” alerts, despite there being lots of free disk space.

The free space that can be used by disk protection program is affected by two factors:

1) The free space on protected FAT partitions. If the free space on protected FAT partitions is not enough, disk protection cannot work even if there is a lot of free space on the protected NTFS partition.

2) The contiguous free space on the protected FAT partitions. If the continuous free space is insufficient, the free space that disk protection program can use will also be affected. This is the reason why the setup program recommends running disk defrag.

2

The create checkpoint command has not been executed.

When the system is shut down abnormally (such as by power failure or system crash), the disk changes recorded by disk protection may not be intact. In this situation, a new checkpoint will not be created and the system will recover to the most recent checkpoint.

3

I have protected disk partition C. If I want to protect more partitions, what do I have to do?

Please uninstall Intel® Platform Administrator Client. Then reinstall it, and during installation choose the partitions that you want to protect.

4

I have forgotten my HD Protection password.

The hard disk protection password should be memorized or recorded. Otherwise you cannot manage or maintain the system. If you forget the password, please uninstall hard disk protection from BIOS and reinstall the system. If you don’t reinstall, the client’s system will not be protected, but Intel® Platform Administrator Client will still exist in the client.

5

I exited HD Protection by mistake, how can I restart it?

Exiting HD Protection does not mean that the hard disk is no longer protected. Exiting HD protection only removes the HD Protection icon from system tray. The hard disk will still be protected.

To make the icon visible, there are 2 methods:

1) Restart the client. The HD Protection icon will appear again in the system tray.

2) Under the “Program Files” folder of the protected disk, go to [Intel] → [HDGuard] →double click “Configure2.exe”.

6

Intel® Platform Administrator Client has been removed, but the HD Protection icon is still visible in the system tray.

In come cases, the client application may not be removed completely. Use the following method to completely remove the Intel® Platform Administrator Client:

Under “Program Files” folder of the protected disk, go [Intel] → [HDGuard] →double click “Uninstall.exe”.

7

I have installed a new hard disk on a client machine that installed Intel® Platform Administrator Client, why the screen turns blue?

Make sure to uninstall the Intel® Platform Administrator Client before installation of the new hard disk. User must re-install the Intel® Platform Administrator Client after the new hard disk is added.

[t1]I feel this whole scenario is abundant. Please consider to take this away.


9.1InstallNewSystemfori-CafeEnvironment

9.1 Install New System for i-Café Environment

I want to install a new system for an i-café. What do I need to do?